
package com.ejie.ab61.clientesWS.X43Procedimientos;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for TSignature complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TSignature">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="status" type="{com/ejie/x43s/v2/ttn/xml}TSignatureStatus" minOccurs="0"/>
 *         &lt;element name="mimeType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}format" minOccurs="0"/>
 *         &lt;element name="signatureDate" type="{com/ejie/x43s/v2/ttn/xml}TDateTime" minOccurs="0"/>
 *         &lt;choice>
 *           &lt;element ref="{com/ejie/x43s/v2/ttn/xml}contentB64"/>
 *           &lt;element ref="{com/ejie/x43s/v2/ttn/xml}documentPath"/>
 *         &lt;/choice>
 *         &lt;element name="ocspStatusB64" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
 *         &lt;element name="tsaStampB64" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/>
 *         &lt;element name="signerList" type="{com/ejie/x43s/v2/ttn/xml}TSignerList" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TSignature", namespace = "com/ejie/x43s/v2/ttn/xml", propOrder = {
    "status",
    "mimeType",
    "format",
    "signatureDate",
    "contentB64",
    "documentPath",
    "ocspStatusB64",
    "tsaStampB64",
    "signerList"
})
public class TSignature {

    protected TSignatureStatus status;
    protected String mimeType;
    protected String format;
    protected String signatureDate;
    protected byte[] contentB64;
    protected String documentPath;
    protected byte[] ocspStatusB64;
    protected byte[] tsaStampB64;
    protected TSignerList signerList;

    /**
     * Gets the value of the status property.
     * 
     * @return
     *     possible object is
     *     {@link TSignatureStatus }
     *     
     */
    public TSignatureStatus getStatus() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     * @param value
     *     allowed object is
     *     {@link TSignatureStatus }
     *     
     */
    public void setStatus(TSignatureStatus value) {
        this.status = value;
    }

    /**
     * Gets the value of the mimeType property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMimeType() {
        return mimeType;
    }

    /**
     * Sets the value of the mimeType property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMimeType(String value) {
        this.mimeType = value;
    }

    /**
     * Gets the value of the format property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFormat() {
        return format;
    }

    /**
     * Sets the value of the format property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFormat(String value) {
        this.format = value;
    }

    /**
     * Gets the value of the signatureDate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSignatureDate() {
        return signatureDate;
    }

    /**
     * Sets the value of the signatureDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSignatureDate(String value) {
        this.signatureDate = value;
    }

    /**
     * Gets the value of the contentB64 property.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getContentB64() {
        return contentB64;
    }

    /**
     * Sets the value of the contentB64 property.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setContentB64(byte[] value) {
        this.contentB64 = ((byte[]) value);
    }

    /**
     * Gets the value of the documentPath property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDocumentPath() {
        return documentPath;
    }

    /**
     * Sets the value of the documentPath property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDocumentPath(String value) {
        this.documentPath = value;
    }

    /**
     * Gets the value of the ocspStatusB64 property.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getOcspStatusB64() {
        return ocspStatusB64;
    }

    /**
     * Sets the value of the ocspStatusB64 property.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setOcspStatusB64(byte[] value) {
        this.ocspStatusB64 = ((byte[]) value);
    }

    /**
     * Gets the value of the tsaStampB64 property.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getTsaStampB64() {
        return tsaStampB64;
    }

    /**
     * Sets the value of the tsaStampB64 property.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setTsaStampB64(byte[] value) {
        this.tsaStampB64 = ((byte[]) value);
    }

    /**
     * Gets the value of the signerList property.
     * 
     * @return
     *     possible object is
     *     {@link TSignerList }
     *     
     */
    public TSignerList getSignerList() {
        return signerList;
    }

    /**
     * Sets the value of the signerList property.
     * 
     * @param value
     *     allowed object is
     *     {@link TSignerList }
     *     
     */
    public void setSignerList(TSignerList value) {
        this.signerList = value;
    }

}
