
package com.ejie.ab61.clientesWS.X43TareasTramitacion;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for TMessage complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TMessage">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}taskGUID"/>
 *         &lt;element name="type" type="{com/ejie/x43s/v2/rta/xml}TMessageType"/>
 *         &lt;element name="messageTipology" type="{com/ejie/x43s/v2/ttn/xml}TMessageTipology"/>
 *         &lt;element name="status" type="{com/ejie/x43s/v2/ttn/xml}TMessageStatus"/>
 *         &lt;element name="comment" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}mailboxID"/>
 *         &lt;element name="groupMailboxID" type="{com/ejie/x43s/v2/ttn/xml}TID64"/>
 *         &lt;element name="lastMailboxID" type="{com/ejie/x43s/v2/ttn/xml}TID64"/>
 *         &lt;element name="message" type="{com/ejie/x43s/v2/rta/xml}TNotificationBody"/>
 *         &lt;element name="receptionDate" type="{com/ejie/x43s/v2/ttn/xml}TDateTime"/>
 *         &lt;element name="assignmentDate" type="{com/ejie/x43s/v2/ttn/xml}TDateTime"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}procedureID"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}procedureName"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}folderID"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}folderNumber"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}folderTitle"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}senderID"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}taskID"/>
 *         &lt;element name="taskType" type="{com/ejie/x43s/v2/ttn/xml}TTaskType"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}description"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TMessage", propOrder = {
    "taskGUID",
    "type",
    "messageTipology",
    "status",
    "comment",
    "mailboxID",
    "groupMailboxID",
    "lastMailboxID",
    "message",
    "receptionDate",
    "assignmentDate",
    "procedureID",
    "procedureName",
    "folderID",
    "folderNumber",
    "folderTitle",
    "senderID",
    "taskID",
    "taskType",
    "description"
})
public class TMessage {

    @XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String taskGUID;
    @XmlElement(required = true)
    protected TMessageType type;
    @XmlElement(required = true)
    protected TMessageTipology messageTipology;
    @XmlElement(required = true)
    protected TMessageStatus status;
    @XmlElement(required = true)
    protected String comment;
    @XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String mailboxID;
    @XmlElement(required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String groupMailboxID;
    @XmlElement(required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String lastMailboxID;
    @XmlElement(required = true)
    protected TNotificationBody message;
    @XmlElement(required = true)
    protected String receptionDate;
    @XmlElement(required = true)
    protected String assignmentDate;
    @XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String procedureID;
    @XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml", required = true)
    protected TTextI18N procedureName;
    @XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String folderID;
    @XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml", required = true)
    protected String folderNumber;
    @XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml", required = true)
    protected String folderTitle;
    @XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml", required = true)
    protected TPersonIDName senderID;
    @XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String taskID;
    @XmlElement(required = true)
    protected TTaskType taskType;
    @XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml", required = true)
    protected TTextI18N description;

    /**
     * Gets the value of the taskGUID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTaskGUID() {
        return taskGUID;
    }

    /**
     * Sets the value of the taskGUID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTaskGUID(String value) {
        this.taskGUID = value;
    }

    /**
     * Gets the value of the type property.
     * 
     * @return
     *     possible object is
     *     {@link TMessageType }
     *     
     */
    public TMessageType getType() {
        return type;
    }

    /**
     * Sets the value of the type property.
     * 
     * @param value
     *     allowed object is
     *     {@link TMessageType }
     *     
     */
    public void setType(TMessageType value) {
        this.type = value;
    }

    /**
     * Gets the value of the messageTipology property.
     * 
     * @return
     *     possible object is
     *     {@link TMessageTipology }
     *     
     */
    public TMessageTipology getMessageTipology() {
        return messageTipology;
    }

    /**
     * Sets the value of the messageTipology property.
     * 
     * @param value
     *     allowed object is
     *     {@link TMessageTipology }
     *     
     */
    public void setMessageTipology(TMessageTipology value) {
        this.messageTipology = value;
    }

    /**
     * Gets the value of the status property.
     * 
     * @return
     *     possible object is
     *     {@link TMessageStatus }
     *     
     */
    public TMessageStatus getStatus() {
        return status;
    }

    /**
     * Sets the value of the status property.
     * 
     * @param value
     *     allowed object is
     *     {@link TMessageStatus }
     *     
     */
    public void setStatus(TMessageStatus value) {
        this.status = value;
    }

    /**
     * Gets the value of the comment property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getComment() {
        return comment;
    }

    /**
     * Sets the value of the comment property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setComment(String value) {
        this.comment = value;
    }

    /**
     * Gets the value of the mailboxID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getMailboxID() {
        return mailboxID;
    }

    /**
     * Sets the value of the mailboxID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setMailboxID(String value) {
        this.mailboxID = value;
    }

    /**
     * Gets the value of the groupMailboxID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getGroupMailboxID() {
        return groupMailboxID;
    }

    /**
     * Sets the value of the groupMailboxID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setGroupMailboxID(String value) {
        this.groupMailboxID = value;
    }

    /**
     * Gets the value of the lastMailboxID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getLastMailboxID() {
        return lastMailboxID;
    }

    /**
     * Sets the value of the lastMailboxID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setLastMailboxID(String value) {
        this.lastMailboxID = value;
    }

    /**
     * Gets the value of the message property.
     * 
     * @return
     *     possible object is
     *     {@link TNotificationBody }
     *     
     */
    public TNotificationBody getMessage() {
        return message;
    }

    /**
     * Sets the value of the message property.
     * 
     * @param value
     *     allowed object is
     *     {@link TNotificationBody }
     *     
     */
    public void setMessage(TNotificationBody value) {
        this.message = value;
    }

    /**
     * Gets the value of the receptionDate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getReceptionDate() {
        return receptionDate;
    }

    /**
     * Sets the value of the receptionDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setReceptionDate(String value) {
        this.receptionDate = value;
    }

    /**
     * Gets the value of the assignmentDate property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAssignmentDate() {
        return assignmentDate;
    }

    /**
     * Sets the value of the assignmentDate property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAssignmentDate(String value) {
        this.assignmentDate = value;
    }

    /**
     * Gets the value of the procedureID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getProcedureID() {
        return procedureID;
    }

    /**
     * Sets the value of the procedureID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setProcedureID(String value) {
        this.procedureID = value;
    }

    /**
     * Gets the value of the procedureName property.
     * 
     * @return
     *     possible object is
     *     {@link TTextI18N }
     *     
     */
    public TTextI18N getProcedureName() {
        return procedureName;
    }

    /**
     * Sets the value of the procedureName property.
     * 
     * @param value
     *     allowed object is
     *     {@link TTextI18N }
     *     
     */
    public void setProcedureName(TTextI18N value) {
        this.procedureName = value;
    }

    /**
     * Gets the value of the folderID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFolderID() {
        return folderID;
    }

    /**
     * Sets the value of the folderID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFolderID(String value) {
        this.folderID = value;
    }

    /**
     * Gets the value of the folderNumber property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFolderNumber() {
        return folderNumber;
    }

    /**
     * Sets the value of the folderNumber property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFolderNumber(String value) {
        this.folderNumber = value;
    }

    /**
     * Gets the value of the folderTitle property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFolderTitle() {
        return folderTitle;
    }

    /**
     * Sets the value of the folderTitle property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFolderTitle(String value) {
        this.folderTitle = value;
    }

    /**
     * Gets the value of the senderID property.
     * 
     * @return
     *     possible object is
     *     {@link TPersonIDName }
     *     
     */
    public TPersonIDName getSenderID() {
        return senderID;
    }

    /**
     * Sets the value of the senderID property.
     * 
     * @param value
     *     allowed object is
     *     {@link TPersonIDName }
     *     
     */
    public void setSenderID(TPersonIDName value) {
        this.senderID = value;
    }

    /**
     * Gets the value of the taskID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTaskID() {
        return taskID;
    }

    /**
     * Sets the value of the taskID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTaskID(String value) {
        this.taskID = value;
    }

    /**
     * Gets the value of the taskType property.
     * 
     * @return
     *     possible object is
     *     {@link TTaskType }
     *     
     */
    public TTaskType getTaskType() {
        return taskType;
    }

    /**
     * Sets the value of the taskType property.
     * 
     * @param value
     *     allowed object is
     *     {@link TTaskType }
     *     
     */
    public void setTaskType(TTaskType value) {
        this.taskType = value;
    }

    /**
     * Gets the value of the description property.
     * 
     * @return
     *     possible object is
     *     {@link TTextI18N }
     *     
     */
    public TTextI18N getDescription() {
        return description;
    }

    /**
     * Sets the value of the description property.
     * 
     * @param value
     *     allowed object is
     *     {@link TTextI18N }
     *     
     */
    public void setDescription(TTextI18N value) {
        this.description = value;
    }

}
