
package com.ejie.ab61.clientesWS.X43TareasTramitacion;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for TTaskStudy complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TTaskStudy">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="action" type="{com/ejie/x43s/v2/rta/xml}TStudyActionType"/>
 *         &lt;element name="situationList" type="{com/ejie/x43s/v2/rta/xml}TSituationList"/>
 *         &lt;element name="situationID" type="{com/ejie/x43s/v2/ttn/xml}TID64"/>
 *         &lt;element name="responsibleMailboxID" type="{com/ejie/x43s/v2/ttn/xml}TID64" minOccurs="0"/>
 *         &lt;element name="isDerivedTask" type="{com/ejie/x43s/v2/ttn/xml}TBoolean" minOccurs="0"/>
 *         &lt;element name="reassignDocMailboxID" type="{com/ejie/x43s/v2/ttn/xml}TID64" minOccurs="0"/>
 *         &lt;choice>
 *           &lt;element name="updateList" type="{com/ejie/x43s/v2/rta/xml}TStudyDocumentList"/>
 *           &lt;element name="documentList" type="{com/ejie/x43s/v2/rta/xml}TTelActionDocumentList"/>
 *         &lt;/choice>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TTaskStudy", propOrder = {
    "action",
    "situationList",
    "situationID",
    "responsibleMailboxID",
    "isDerivedTask",
    "reassignDocMailboxID",
    "updateList",
    "documentList"
})
public class TTaskStudy {

    @XmlElement(required = true)
    protected TStudyActionType action;
    @XmlElement(required = true)
    protected TSituationList situationList;
    @XmlElement(required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String situationID;
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String responsibleMailboxID;
    protected TBoolean isDerivedTask;
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String reassignDocMailboxID;
    protected TStudyDocumentList updateList;
    protected TTelActionDocumentList documentList;

    /**
     * Gets the value of the action property.
     * 
     * @return
     *     possible object is
     *     {@link TStudyActionType }
     *     
     */
    public TStudyActionType getAction() {
        return action;
    }

    /**
     * Sets the value of the action property.
     * 
     * @param value
     *     allowed object is
     *     {@link TStudyActionType }
     *     
     */
    public void setAction(TStudyActionType value) {
        this.action = value;
    }

    /**
     * Gets the value of the situationList property.
     * 
     * @return
     *     possible object is
     *     {@link TSituationList }
     *     
     */
    public TSituationList getSituationList() {
        return situationList;
    }

    /**
     * Sets the value of the situationList property.
     * 
     * @param value
     *     allowed object is
     *     {@link TSituationList }
     *     
     */
    public void setSituationList(TSituationList value) {
        this.situationList = value;
    }

    /**
     * Gets the value of the situationID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSituationID() {
        return situationID;
    }

    /**
     * Sets the value of the situationID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSituationID(String value) {
        this.situationID = value;
    }

    /**
     * Gets the value of the responsibleMailboxID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getResponsibleMailboxID() {
        return responsibleMailboxID;
    }

    /**
     * Sets the value of the responsibleMailboxID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setResponsibleMailboxID(String value) {
        this.responsibleMailboxID = value;
    }

    /**
     * Gets the value of the isDerivedTask property.
     * 
     * @return
     *     possible object is
     *     {@link TBoolean }
     *     
     */
    public TBoolean getIsDerivedTask() {
        return isDerivedTask;
    }

    /**
     * Sets the value of the isDerivedTask property.
     * 
     * @param value
     *     allowed object is
     *     {@link TBoolean }
     *     
     */
    public void setIsDerivedTask(TBoolean value) {
        this.isDerivedTask = value;
    }

    /**
     * Gets the value of the reassignDocMailboxID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getReassignDocMailboxID() {
        return reassignDocMailboxID;
    }

    /**
     * Sets the value of the reassignDocMailboxID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setReassignDocMailboxID(String value) {
        this.reassignDocMailboxID = value;
    }

    /**
     * Gets the value of the updateList property.
     * 
     * @return
     *     possible object is
     *     {@link TStudyDocumentList }
     *     
     */
    public TStudyDocumentList getUpdateList() {
        return updateList;
    }

    /**
     * Sets the value of the updateList property.
     * 
     * @param value
     *     allowed object is
     *     {@link TStudyDocumentList }
     *     
     */
    public void setUpdateList(TStudyDocumentList value) {
        this.updateList = value;
    }

    /**
     * Gets the value of the documentList property.
     * 
     * @return
     *     possible object is
     *     {@link TTelActionDocumentList }
     *     
     */
    public TTelActionDocumentList getDocumentList() {
        return documentList;
    }

    /**
     * Sets the value of the documentList property.
     * 
     * @param value
     *     allowed object is
     *     {@link TTelActionDocumentList }
     *     
     */
    public void setDocumentList(TTelActionDocumentList value) {
        this.documentList = value;
    }

}
