
package com.ejie.ab61.clientesWS.X43TareasTramitacion;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;


/**
 * This class was  
 * Oracle JAX-WS 2.1.5
 * Generated source version: 2.1
 * 
 */
@WebService(name = "X43RTAPortType", targetNamespace = "com/ejie/x43s/v2/rta/ws")
@XmlSeeAlso({
    ObjectFactory.class
})
public interface X43RTAPortType {


    /**
     * 
     * @param ep
     * @param notificationBody
     * @param eventTypology
     * @return
     *     returns com.ejie.ab61.clientesWS.X43TareasTramitacion.TBoolean
     */
    @WebMethod(action = "addTask")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
    @RequestWrapper(localName = "addTask", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.AddTask")
    @ResponseWrapper(localName = "addTaskResponse", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.AddTaskResponse")
    public TBoolean addTask(
        @WebParam(name = "notificationBody", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
        TNotificationBody notificationBody,
        @WebParam(name = "eventTypology", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
        TMessageTipology eventTypology,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param ep
     * @param wait
     * @return
     *     returns java.lang.String
     */
    @WebMethod(action = "addWait")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
    @RequestWrapper(localName = "addWait", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.AddWait")
    @ResponseWrapper(localName = "addWaitResponse", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.AddWaitResponse")
    public String addWait(
        @WebParam(name = "wait", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
        TWait wait,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param task
     * @param ep
     * @return
     *     returns com.ejie.ab61.clientesWS.X43TareasTramitacion.TBoolean
     */
    @WebMethod(action = "annulTask")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
    @RequestWrapper(localName = "annulTask", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.AnnulTask")
    @ResponseWrapper(localName = "annulTaskResponse", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.AnnulTaskResponse")
    public TBoolean annulTask(
        @WebParam(name = "task", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
        TTaskAnnul task,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param ep
     * @param waitID
     * @return
     *     returns com.ejie.ab61.clientesWS.X43TareasTramitacion.TBoolean
     */
    @WebMethod(action = "annulWait")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
    @RequestWrapper(localName = "annulWait", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.AnnulWait")
    @ResponseWrapper(localName = "annulWaitResponse", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.AnnulWaitResponse")
    public TBoolean annulWait(
        @WebParam(name = "waitID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String waitID,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param mailboxID
     * @param ep
     * @param taskGUIDList
     * @return
     *     returns com.ejie.ab61.clientesWS.X43TareasTramitacion.TBoolean
     */
    @WebMethod(action = "assignTasks")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
    @RequestWrapper(localName = "assignTasks", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.AssignTasks")
    @ResponseWrapper(localName = "assignTasksResponse", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.AssignTasksResponse")
    public TBoolean assignTasks(
        @WebParam(name = "taskGUIDList", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
        TStringList taskGUIDList,
        @WebParam(name = "mailboxID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String mailboxID,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param taskGUID
     * @param ep
     * @return
     *     returns com.ejie.ab61.clientesWS.X43TareasTramitacion.TBoolean
     */
    @WebMethod(action = "cancelTask")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
    @RequestWrapper(localName = "cancelTask", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.CancelTask")
    @ResponseWrapper(localName = "cancelTaskResponse", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.CancelTaskResponse")
    public TBoolean cancelTask(
        @WebParam(name = "taskGUID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String taskGUID,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param task
     * @param taskType
     * @param ep
     * @return
     *     returns com.ejie.ab61.clientesWS.X43TareasTramitacion.TTask
     */
    @WebMethod(action = "doTask")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
    @RequestWrapper(localName = "doTask", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.DoTask")
    @ResponseWrapper(localName = "doTaskResponse", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.DoTaskResponse")
    public TTask doTask(
        @WebParam(name = "taskType", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
        TTaskType taskType,
        @WebParam(name = "task", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
        TTask task,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param taskGUID
     * @param ep
     * @return
     *     returns com.ejie.ab61.clientesWS.X43TareasTramitacion.TBoolean
     */
    @WebMethod(action = "endTask")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
    @RequestWrapper(localName = "endTask", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.EndTask")
    @ResponseWrapper(localName = "endTaskResponse", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.EndTaskResponse")
    public TBoolean endTask(
        @WebParam(name = "taskGUID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String taskGUID,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param ep
     * @param taskResult
     * @param waitID
     * @return
     *     returns com.ejie.ab61.clientesWS.X43TareasTramitacion.TBoolean
     */
    @WebMethod(action = "endWait")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
    @RequestWrapper(localName = "endWait", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.EndWait")
    @ResponseWrapper(localName = "endWaitResponse", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.EndWaitResponse")
    public TBoolean endWait(
        @WebParam(name = "waitID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String waitID,
        @WebParam(name = "taskResult", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
        String taskResult,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param mapProperties
     * @param iLast
     * @param ep
     * @param groupIDList
     * @param statusList
     * @param iFirst
     * @param filter
     * @param messageTipologyList
     * @return
     *     returns com.ejie.ab61.clientesWS.X43TareasTramitacion.TMessageList
     */
    @WebMethod(action = "getGATTasks")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
    @RequestWrapper(localName = "getGATTasks", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.GetGATTasks")
    @ResponseWrapper(localName = "getGATTasksResponse", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.GetGATTasksResponse")
    public TMessageList getGATTasks(
        @WebParam(name = "groupIDList", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
        TStringList groupIDList,
        @WebParam(name = "messageTipologyList", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
        TMessageTipologyList messageTipologyList,
        @WebParam(name = "statusList", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
        TMessageStatusList statusList,
        @WebParam(name = "mapProperties", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
        TMessageFilterValueList mapProperties,
        @WebParam(name = "iFirst", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
        Integer iFirst,
        @WebParam(name = "iLast", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
        Integer iLast,
        @WebParam(name = "filter", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
        TGatTaskFilter filter,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param mailboxID
     * @param userToken
     * @param ep
     * @param mailboxName
     * @return
     *     returns com.ejie.ab61.clientesWS.X43TareasTramitacion.TMailboxList
     */
    @WebMethod(action = "getMailboxes")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
    @RequestWrapper(localName = "getMailboxes", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.GetMailboxes")
    @ResponseWrapper(localName = "getMailboxesResponse", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.GetMailboxesResponse")
    public TMailboxList getMailboxes(
        @WebParam(name = "userToken", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
        String userToken,
        @WebParam(name = "mailboxID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String mailboxID,
        @WebParam(name = "mailboxName", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        TTextI18N mailboxName,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param taskGUID
     * @param ep
     * @return
     *     returns com.ejie.ab61.clientesWS.X43TareasTramitacion.TNotificationBody
     */
    @WebMethod(action = "getTask")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
    @RequestWrapper(localName = "getTask", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.GetTask")
    @ResponseWrapper(localName = "getTaskResponse", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.GetTaskResponse")
    public TNotificationBody getTask(
        @WebParam(name = "taskGUID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String taskGUID,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param ep
     * @param folderID
     * @param taskID
     * @return
     *     returns com.ejie.ab61.clientesWS.X43TareasTramitacion.TWaitList
     */
    @WebMethod(action = "getTaskPendingWaits")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
    @RequestWrapper(localName = "getTaskPendingWaits", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.GetTaskPendingWaits")
    @ResponseWrapper(localName = "getTaskPendingWaitsResponse", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.GetTaskPendingWaitsResponse")
    public TWaitList getTaskPendingWaits(
        @WebParam(name = "folderID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String folderID,
        @WebParam(name = "taskID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String taskID,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param mapProperties
     * @param categoryList
     * @param ep
     * @param groupIDList
     * @param outputProperties
     * @param messageStatusList
     * @return
     *     returns com.ejie.ab61.clientesWS.X43TareasTramitacion.TTaskAndWaitList
     */
    @WebMethod(action = "getTasksAndWaits")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
    @RequestWrapper(localName = "getTasksAndWaits", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.GetTasksAndWaits")
    @ResponseWrapper(localName = "getTasksAndWaitsResponse", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.GetTasksAndWaitsResponse")
    public TTaskAndWaitList getTasksAndWaits(
        @WebParam(name = "groupIDList", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
        TStringList groupIDList,
        @WebParam(name = "categoryList", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
        TTaskWaitCategoryList categoryList,
        @WebParam(name = "messageStatusList", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
        TMessageStatusList messageStatusList,
        @WebParam(name = "mapProperties", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
        TTaskWaitFilterValueList mapProperties,
        @WebParam(name = "outputProperties", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
        TTaskWaitOutputList outputProperties,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param ep
     * @param folderID
     * @return
     *     returns com.ejie.ab61.clientesWS.X43TareasTramitacion.TWaitList
     */
    @WebMethod(action = "getWaits")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
    @RequestWrapper(localName = "getWaits", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.GetWaits")
    @ResponseWrapper(localName = "getWaitsResponse", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.GetWaitsResponse")
    public TWaitList getWaits(
        @WebParam(name = "folderID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String folderID,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param proceedingID
     * @param ep
     * @param senderID
     * @param procedureID
     * @param mailboxes
     * @param folderID
     * @param taskID
     * @return
     *     returns com.ejie.ab61.clientesWS.X43TareasTramitacion.TBoolean
     */
    @WebMethod(action = "prepareNewTask")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
    @RequestWrapper(localName = "prepareNewTask", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.PrepareNewTask")
    @ResponseWrapper(localName = "prepareNewTaskResponse", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.PrepareNewTaskResponse")
    public TBoolean prepareNewTask(
        @WebParam(name = "procedureID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String procedureID,
        @WebParam(name = "folderID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String folderID,
        @WebParam(name = "proceedingID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String proceedingID,
        @WebParam(name = "taskID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String taskID,
        @WebParam(name = "senderID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        TPersonIDName senderID,
        @WebParam(name = "mailboxes", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
        TStringList mailboxes,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param taskGUID
     * @param taskType
     * @param ep
     * @return
     *     returns com.ejie.ab61.clientesWS.X43TareasTramitacion.TTask
     */
    @WebMethod(action = "prepareTask")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
    @RequestWrapper(localName = "prepareTask", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.PrepareTask")
    @ResponseWrapper(localName = "prepareTaskResponse", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.PrepareTaskResponse")
    public TTask prepareTask(
        @WebParam(name = "taskType", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
        TTaskType taskType,
        @WebParam(name = "taskGUID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String taskGUID,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param task
     * @param ep
     * @return
     *     returns com.ejie.ab61.clientesWS.X43TareasTramitacion.TTask
     */
    @WebMethod(action = "prepareTaskNotification")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
    @RequestWrapper(localName = "prepareTaskNotification", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.PrepareTaskNotification")
    @ResponseWrapper(localName = "prepareTaskNotificationResponse", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.PrepareTaskNotificationResponse")
    public TTask prepareTaskNotification(
        @WebParam(name = "task", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
        TTask task,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param taskGUID
     * @param ep
     * @return
     *     returns com.ejie.ab61.clientesWS.X43TareasTramitacion.TBoolean
     */
    @WebMethod(action = "regenerateTask")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
    @RequestWrapper(localName = "regenerateTask", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.RegenerateTask")
    @ResponseWrapper(localName = "regenerateTaskResponse", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.RegenerateTaskResponse")
    public TBoolean regenerateTask(
        @WebParam(name = "taskGUID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String taskGUID,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param task
     * @param taskType
     * @param ep
     * @param taskGUIDList
     * @return
     *     returns com.ejie.ab61.clientesWS.X43TareasTramitacion.TBoolean
     */
    @WebMethod(action = "rejectTask")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
    @RequestWrapper(localName = "rejectTask", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.RejectTask")
    @ResponseWrapper(localName = "rejectTaskResponse", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.RejectTaskResponse")
    public TBoolean rejectTask(
        @WebParam(name = "taskType", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
        TTaskType taskType,
        @WebParam(name = "task", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
        TTask task,
        @WebParam(name = "taskGUIDList", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
        TStringList taskGUIDList,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param procedureIDList
     * @param ep
     * @param folderIDList
     * @param filter
     * @return
     *     returns com.ejie.ab61.clientesWS.X43TareasTramitacion.TTaskAndWaitList
     */
    @WebMethod(action = "searchWaits")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
    @RequestWrapper(localName = "searchWaits", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.SearchWaits")
    @ResponseWrapper(localName = "searchWaitsResponse", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.SearchWaitsResponse")
    public TTaskAndWaitList searchWaits(
        @WebParam(name = "folderIDList", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
        TStringList folderIDList,
        @WebParam(name = "procedureIDList", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
        TStringList procedureIDList,
        @WebParam(name = "filter", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
        TWaitFilter filter,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

    /**
     * 
     * @param taskGUID
     * @param ep
     * @return
     *     returns com.ejie.ab61.clientesWS.X43TareasTramitacion.TBoolean
     */
    @WebMethod(action = "suggestTask")
    @WebResult(name = "result", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml")
    @RequestWrapper(localName = "suggestTask", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.SuggestTask")
    @ResponseWrapper(localName = "suggestTaskResponse", targetNamespace = "com/ejie/x43s/v2/rta/ws/xml", className = "com.ejie.ab61.clientesWS.X43TareasTramitacion.SuggestTaskResponse")
    public TBoolean suggestTask(
        @WebParam(name = "taskGUID", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        String taskGUID,
        @WebParam(name = "ep", targetNamespace = "com/ejie/x43s/v2/ttn/xml")
        AExtensionPoint ep);

}
