<%@include file="/WEB-INF/includeTemplate.inc"%>	
<%@page import="java.util.*" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>

<!-- TABLA FECHAS DE EXPEDIENTE -->
<section>
	<div id="space"></div>
	<div class="container">

		<div class="panel panel-default">
			<div class="panel-heading"><spring:message code="fechasExpediente"/></div>
			<div id="tablaFechasExpedienteFeedback"></div>
			<div class="panel-body">
				<div id="tablaFechasExpediente_div" class="rup-table-container">
					<div id="tablaFechasExpediente_feedback" class="hidden"></div>
					<div id="tablaFechasExpediente_filter_div" class="rup-table-container">
						<form:form commandName="fechasexpediente" id="tablaFechasExpediente_filter_form"  method="POST">
							<div class="form-group row">
								<div class="col-xs-2">
									<label for="idFechaExpedienteFiltro"><spring:message code="fechasExpediente.idFechaExpediente" /></label>
									<input type="text" id="idFechaExpedienteFiltro" name="idFechaExpediente" class="form-control" />
								</div>
								<div class="col-xs-2">
									<label for="tipoEventoFiltro"><spring:message code="fechasExpediente.tipoEvento" /></label>
									<input type="text" id="tipoEventoFiltro" name="tipoEvento" class="form-control" />
								</div>
								<div class="col-xs-3">
									<label for="plateaTypeFiltro"><spring:message code="fechasExpediente.plateaType" /></label>
									<input type="text" id="plateaTypeFiltro" name="plateaType" class="form-control" />
								</div>
								<div class="col-xs-3">
									<label for="plateaSubtypeFiltro"><spring:message code="fechasExpediente.plateaSubtype" /></label>
									<input type="text" id="plateaSubtypeFiltro" name="plateaSubtype" class="form-control" />
								</div>
								<div class="col-xs-2">
									<button class="btn btn-default btn-circle" id="btnBuscarFechasExpediente" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tooltip.buscar" />'><i class="fa fa-search"></i></button>
									<button class="btn btn-default btn-circle" id="btnLimpiarFechasExpediente" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tooltip.limpiar" />'><i class="fa fa-eraser"></i></button>
								</div>
							</div>
							
							<div class="form-group row">
								<div class="col-xs-6">
									<label for="tipoDokusiFiltro"><spring:message code="fechasExpediente.tipoDokusi" /></label>
									<input type="text" id="tipoDokusiFiltro" name="tipoDokusi" class="form-control" />
								</div>
								<div class="col-xs-6">
									<label for="subtipoDokusiFiltro"><spring:message code="fechasExpediente.subtipoDokusi" /></label>
									<input type="text" id="subtipoDokusiFiltro" name="subtipoDokusi" class="form-control" />
								</div>
							</div>
							
							<div class="form-group row">
								<div class="col-xs-6">
									<label for="asuntoDocumentalFiltro"><spring:message code="fechasExpediente.asuntoDocumental" /></label>
									<input type="text" id="asuntoDocumentalFiltro" name="asuntoDocumental" class="form-control" />
								</div>
								<div class="col-xs-6">
									<label for="etiquetaFechaFiltro"><spring:message code="fechasExpediente.etiquetaFecha" /></label>
									<input type="text" id="etiquetaFechaFiltro" name="etiquetaFecha" class="form-control" />
								</div>
							</div>
							
						</form:form>
						<div id="tablaFechasExpediente_toolbar" class="mitoolbar clearfix">
							<button id="btnAddFechasExpediente" class="btn btn-default btn-circle" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="fechasExpediente.nueva" />'><i class="fa fa-file-o" aria-hidden="true"></i></button>
							<button id="btnModifFechasExpediente" class="btn btn-default btn-circle" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="fechasExpediente.editar" />'><i class="fa fa-pencil-square-o" aria-hidden="true"></i></button>
							<button id="btnBorrarFechasExpediente" class="btn btn-default btn-circle" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="fechasExpediente.borrar" />'><i class="fa fa-trash-o" aria-hidden="true"></i></button>
							<button id="btnExcelFechasExpediente" class="btn btn-default btn-circle" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="fechasExpediente.excel" />'><i class="fa fa-file-excel-o" aria-hidden="true"></i></button>
						</div>
						
						<div id="tablaFechasExpediente_grid_div">
							<!-- Tabla -->
							<table id="tablaFechasExpediente" class="table"></table>
							<!-- Barra de paginación -->
							<div id="tablaFechasExpediente_pager"></div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div id="tablaFechasExpediente_filter_toolbar" style="visibility: hidden;"></div>
</section>
<form id="fechasExpediente_Report" action="/ab61WebAppWar/fechasexpediente/xlsReport" method="get">
	<input type="hidden" id="fechasExpediente_Report_IdFechaExpediente" name="idFechaExpediente" />
	<input type="hidden" id="fechasExpediente_Report_TipoEvento" name="tipoEvento" />
	<input type="hidden" id="fechasExpediente_Report_PlateaType" name="plateaType" />
	<input type="hidden" id="fechasExpediente_Report_PlateaSubtype" name="plateaSubtype" />
	<input type="hidden" id="fechasExpediente_Report_TipoDokusi" name="tipoDokusi" />
	<input type="hidden" id="fechasExpediente_Report_SubtipoDokusi" name="subtipoDokusi" />
	<input type="hidden" id="fechasExpediente_Report_AsuntoDocumental" name="asuntoDocumental" />
	<input type="hidden" id="fechasExpediente_Report_EtiquetaFecha" name="etiquetaFecha" />
</form> 

<!-- MODAL DETALLE FECHAS DE EXPEDIENTE -->
<div class="modal" id="fechasExpedienteModal">
	<div class="modal-body">
		<form:form id="fechasExpedienteModalForm" modelAttribute="FechasExpediente">
			<div id="fechasExpedienteModalFeedback"></div>
			<input type="hidden" id="idFechasExpedienteModal" name="idFechaExpediente" />
			<div class="form-group row">
				<div class="col-xs-6">
					<label for="tipoEventoFechasExpedienteModal" class="required"><spring:message code="fechasExpediente.tipoEvento" /></label>
					<input type="text" id="tipoEventoFechasExpedienteModal" name="tipoEvento" class="form-control" />
				</div>
				<div class="col-xs-3">
					<label for="statusModal"><spring:message code="fechasExpediente.status" /></label>
					<input type="number" id="statusModal" name="status" class="form-control" />
				</div>
				<div class="col-xs-3">
					<label for="instanceIdModal"><spring:message code="fechasExpediente.instanceId" /></label>
					<input type="number" id="instanceIdModal" name="instanceId" class="form-control" />
				</div>
			</div>
			
			<div class="form-group row">
				<div class="col-xs-12">
					<label for="plateaTypeFechasExpedienteModal" class="required"><spring:message code="fechasExpediente.plateaType" /></label>
					<input type="text" id="plateaTypeFechasExpedienteModal" name="plateaType" class="form-control" />
				</div>
			</div>
			
			<div class="form-group row">
				<div class="col-xs-12">
					<label for="plateaSubtypeFechasExpedienteModal" class="required"><spring:message code="fechasExpediente.plateaSubtype" /></label>
					<input type="text" id="plateaSubtypeFechasExpedienteModal" name="plateaSubtype" class="form-control" />
				</div>
			</div>
			
			<div class="form-group row">
				<div class="col-xs-12">
					<label for="tipoDokusiModal"><spring:message code="fechasExpediente.tipoDokusi" /></label>
					<input type="text" id="tipoDokusiModal" name="tipoDokusi" class="form-control" />
				</div>
			</div>
			
			<div class="form-group row">
				<div class="col-xs-12">
					<label for="subtipoDokusiModal"><spring:message code="fechasExpediente.subtipoDokusi" /></label>
					<input type="text" id="subtipoDokusiModal" name="subtipoDokusi" class="form-control" />
				</div>
			</div>
			
			<div class="form-group row">
				<div class="col-xs-12">
					<label for="asuntoDocumentalModal"><spring:message code="fechasExpediente.asuntoDocumental" /></label>
					<input type="text" id="asuntoDocumentalModal" name="asuntoDocumental" class="form-control" />
				</div>
			</div>
			
			<div class="form-group row">
				<div class="col-xs-12">
					<label for="etiquetaFechaModal" class="required"><spring:message code="fechasExpediente.etiquetaFecha" /></label>
					<input type="text" id="etiquetaFechaModal" name="etiquetaFecha" class="form-control" />
				</div>
			</div>
			
			<div class="form-group row">
				<div class="col-xs-12">
					<label for="descEsFechasExpedienteModal" class="required"><spring:message code="fechasExpediente.descEs" /></label>
					<input type="text" id="descEsFechasExpedienteModal" name="descripcionCastellano" class="form-control" />
				</div>
			</div>
			
			<div class="form-group row">
				<div class="col-xs-12">
					<label for="descEuFechasExpedienteModal" class="required"><spring:message code="fechasExpediente.descEu" /></label>
					<input type="text" id="descEuFechasExpedienteModal" name="descripcionEuskera" class="form-control" />
				</div>
			</div>
			
			<div class="form-group row">
				<div class="col-xs-12">
					<label for="taskIdModal"><spring:message code="fechasExpediente.taskId" /></label>
					<input type="text" id="taskIdModal" name="taskId" class="form-control" />
				</div>
			</div>
			
			<div class="form-group row">
				<div class="col-xs-12">
					<label for="situacionIdModal"><spring:message code="fechasExpediente.situacionId" /></label>
					<input type="text" id="situacionIdModal" name="situacionId" class="form-control" />
				</div>
			</div>
			
		</form:form>
				
	</div>
	
	<div class="modal-footer">
		<div class="row">
			<div class="col-xs-12">
				<button type="submit" class="btn btn-primary" id="fechasExpedienteModalGuardar"><spring:message code="save" /></button>
				<button class="btn btn-light" id="fechasExpedienteModalCancelar"><spring:message code="cancel" /></button>
			</div>
		</div>
	</div>
</div>