<%@include file="/WEB-INF/includeTemplate.inc"%>	
<%@page import="java.util.*" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>

<!-- TABLA PARÁMETROS DE CONFIGURACIÓN -->
<section>
	<div id="space"></div>
	<div class="container">

		<div class="panel panel-default">
			<div class="panel-heading"><spring:message code="parametrosConfig"/></div>
			<div id="tablaParametrosConfigFeedback"></div>
			<div class="panel-body">
				<div id="tablaParametrosConfig_div" class="rup-table-container">
					<div id="tablaParametrosConfig_feedback" class="hidden"></div>
					<div id="tablaParametrosConfig_filter_div" class="rup-table-container">
						<form:form commandName="procedimientos" id="tablaParametrosConfig_filter_form"  method="POST" class="hidden"></form:form>
						<div id="tablaParametrosConfig_toolbar" class="mitoolbar clearfix">
							<button id="btnAddParametrosConfig" class="btn btn-default btn-circle" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="parametrosConfig.nuevo" />'><i class="fa fa-file-o" aria-hidden="true"></i></button>
							<button id="btnModifParametrosConfig" class="btn btn-default btn-circle" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="parametrosConfig.editar" />'><i class="fa fa-pencil-square-o" aria-hidden="true"></i></button>
							<button id="btnBorrarParametrosConfig" class="btn btn-default btn-circle" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="parametrosConfig.borrar" />'><i class="fa fa-trash-o" aria-hidden="true"></i></button>
						</div>
						
						<div id="tablaParametrosConfig_grid_div">
							<!-- Tabla -->
							<table id="tablaParametrosConfig" class="table"></table>
							<!-- Barra de paginación -->
							<div id="tablaParametrosConfig_pager"></div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div id="tablaParametrosConfig_filter_toolbar" style="visibility: hidden;"></div>
</section>

<!--MODAL PARÁMETROS DE CONFIGURACIÓN -->
<div class="modal" id="parametrosConfigModal">
	<div class="modal-body">
		<form:form id="parametrosConfigModalForm" modelAttribute="ParametrosConfig">
			<div id="parametrosConfigModalFeedback"></div>
			<input type="hidden" id="idParametrosConfigModal" name="idParametroConfig" />
			
			<div class="form-group row">
				<div class="col-xs-12">
					<label for="descripcionModal" class="required"><spring:message code="parametrosConfig.descripcion" /></label>
					<input type="text" id="descripcionModal" name="descripcion" class="form-control" />
				</div>
			</div>
			
			<div class="form-group row">
				<div class="col-xs-12">
					<label for="valorModal" class="required"><spring:message code="parametrosConfig.valor" /></label>
					<input type="text" id="valorModal" name="valor" class="form-control" />
				</div>
			</div>
			
			<div class="form-group row">
				<div class="col-xs-12">
					<label for="observacionesModal"><spring:message code="parametrosConfig.observaciones" /></label>
					<textarea id="observacionesModal" name="observaciones" class="form-control" rows="8"></textarea>
				</div>
			</div>
			
		</form:form>
				
	</div>
	
	<div class="modal-footer">
		<div class="row">
			<div class="col-xs-12">
				<button type="submit" class="btn btn-primary" id="parametrosConfigModalGuardar"><spring:message code="save" /></button>
				<button class="btn btn-light" id="parametrosConfigModalCancelar"><spring:message code="cancel" /></button>
			</div>
		</div>
	</div>
</div>