<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<input type="hidden" id="idListado" value="${idListado}"/>
<input type="hidden" id="idBusqueda" value=""/>
<input type="hidden" id="nombreFicheroIf" value="${listados.nombreFichero}"/>
<section>
	<div id="listados_feedback"></div>
	<form:form class="form-horizontal" modelAttribute="listados" method="post" id="documentosListadoForm" enctype="multipart/form-data">
		<input type="hidden" id="idListadoFormListados" name="idListado" value="${idListado}"/>

		<div class="row">
			<div class="col-xs-6 form-group">
				<label ><spring:message code="listados.nombre"/></label>
				<input type="text" class="form-control" class="form-control" name="nombre" id="nombreBusqueda" maxlength="80" value="${listados.nombre}"/>
			</div>
			<div id="conNombre">
				<div class="col-xs-6 form-group">
						<div class="form-group col-xs-10">
							<label ><spring:message code="listados.nombreFichero"/></label>
							<input type="text" class="form-control" class="form-control" name="nombreFichero" id="nombreFichero" maxlength="80" value="${listados.nombreFichero}"/>
						</div>
						<div class="colorAzul form-group col-xs-2"><a href="#" onclick="javascript:borrarDocumento()"><i class="fa fa-window-close" aria-hidden="true"></i></a></div>
						<div class="colorAzul form-group col-xs-2"><a href="#" onclick="javascript:descargarDocumento()"><i class="fa fa-download" aria-hidden="true"></i></a></div>
				</div>
			</div>
			<div id="sinNombre">
				<div class="col-xs-6 form-group">
					<div class="fileupload-buttonbar">
						<label ><spring:message code="listados.fichero"/></label>
						<input type="file" name="file"/>
					</div>
				</div>
			</div>
		</div>
	</form:form>
</section>
<section id="ocultarBusquedas">
	<form:form class="form-horizontal" modelAttribute="busquedas" id="tblbusquedas_filter_form" method="post">
		<div class="panel panel-default">
			<div class="panel-heading " ><spring:message code="listado.busquedas"/></div>
			<div id="tblbusquedas_div" class="rup-table-container">
				<div id="tblbusquedas_feedback" class="notDisplay_feedback"></div>
				<div id="tblbusquedas_filter_div" class="rup-table-container">
					<div id="tblbusquedas_toolbar" class="mitoolbar clearfix"></div>
					<div id="tblbusquedas_grid_div">
						<!-- Tabla -->
						<table id="tblbusquedas" class="table"></table>
						<!-- Barra de paginación -->
						<div id="tblbusquedas_pager"></div>
					</div>
				</div>
			</div>
		</div>
		<div id="tblbusquedas_div" class="rup-table-container">
		<div id="tblbusquedas_filter_div" class="rup-table-filter ocultar">	<!-- Capa contenedora del formulario de filtrado -->
		<div id="tblbusquedas_feedback" class="ocultar"></div>						<!-- Feedback de la tabla -->
		<div id="tblbusquedas_toolbar" ></div>							<!-- Botonera de la tabla -->
			<form id="tblbusquedas_filter_form">
				<div id="tblbusquedas_filter_toolbar" class="formulario_legend ocultar"></div>	<!-- Barra de herramientas del formulario de filtrado -->
				<input type="hidden" id="idListadoFilter" name="idListado"/>	
			</form> 	
		</div>
	</div>	
	<!-- este div hay que ponerlo para que funcione el filter de la rup_table -->
		<div id="tblbusquedas_filter_form" >
			<div id="tblbusquedas_filter_toolbar"></div>
		</div>
	</form:form>
</section>
<section id="ocultarParametros">
	<form:form id="tblParametros_filter_form" modelAttribute="parametros">	
		<div class="panel panel-default">
			<div class="panel-heading" ><spring:message code="listado.parametros"/></div>
			<div id="tblParametros_div" class="rup-table-container">
				<div id="tblParametros_feedback" class="notDisplay_feedback"></div>
				<div id="tblParametros_filter_div" class="rup-table-container">
					<div id="tblParametros_toolbar" class="mitoolbar clearfix"></div>
					<div id="tblParametros_grid_div">
						<!-- Tabla -->
						<table id="tblParametros" class="table"></table>
						<!-- Barra de paginación -->
						<div id="tblParametros_pager"></div>
					</div>
				</div>
			</div>
		</div>
		<div id="tblParametros_div" class="rup-table-container">
		<div id="tblParametros_filter_div" class="rup-table-filter ocultar">	<!-- Capa contenedora del formulario de filtrado -->
		<div id="tblParametros_feedback" class="ocultar"></div>						<!-- Feedback de la tabla -->
		<div id="tblParametros_toolbar" ></div>							<!-- Botonera de la tabla -->
			<form id="tblParametros_filter_form">
				<div id="tblParametros_filter_toolbar" class="formulario_legend ocultar"></div>	<!-- Barra de herramientas del formulario de filtrado -->
				<input type="hidden" id="idBusquedaFilter" name="idBusqueda"/>	
			</form> 	
		</div>
	</div>	
	<!-- este div hay que ponerlo para que funcione el filter de la rup_table -->
		<div id="tblParametros_filter_form" >
			<div id="tblParametros_filter_toolbar"></div>
		</div>
	</form:form>
</section>

<!-- Formulario de detalle busqueda -->
<div id="tblbusquedas_detail_div" class="rup-table-formEdit-detail modal-lg">
	<div id ="tblbusquedas_detail_navigation"  class="hidden"></div>			<!-- Barra de navegación del detalle -->
	<div class="ui-dialog-content ui-widget-content" >
		<form id="tblbusquedas_detail_form">	
			<div id ="tblbusquedas_detail_feedback"></div>		<!-- Feedback del formulario de detalle -->
			<div class="row">
				<input type="hidden" id="idListadoBusqueda" name="idListado"/>
				<input type="hidden" name="idBusqueda" id="idBusqueda" />
				<div class="col-xs-6 form-group">
					<label ><spring:message code="busquedas.nombre"/></label>
					<input type="text" class="form-control" class="form-control" name="nombre" id="nombreBusqueda" maxlength="80" />
				</div>
				<div class="col-xs-6 form-group">
					<label ><spring:message code="busquedas.campos"/></label>&nbsp;<spring:message code="busquedas.camposParentesis"/>
					<input type="text" class="form-control" class="form-control" name="campos" id="camposBusqueda" maxlength="500" />
				</div>
			</div>
			<div class="row">
				<div class="col-xs-12 form-group">
					<div class="col-xs-12 form-group">
						<label ><spring:message code="busquedas.sql"/></label>&nbsp;<spring:message code="busquedas.sqlParentesis"/>
					</div>
					<div class="col-xs-12 form-group">
						<textarea name="sqlListado" id="sqlListado" rows="10" cols="130"></textarea>
					</div>
				</div>
			</div>
		</form>
	</div>
	<!-- Botonera del formulario de detalle -->
	<div class="rup-table-buttonpane ui-widget-content ui-helper-clearfix">
		<div class="ui-dialog-buttonset">
			<button id="tblbusquedas_detail_button_save" type="button" class="btn btn-primary hidden">
				<spring:message code="save" />
			</button>
			<button id="tblbusquedasModalGuardar" type="button" class="btn btn-primary">
				<spring:message code="save" />
			</button>
			<!-- Enlace cancelar -->
			<a href="#" role="button" id="tblbusquedas_detail_link_cancel" class="rup-enlaceCancelar"><spring:message code="boton.cerrar" /></a>
		</div>
	</div>	
</div>
<!-- Formulario de detalle parametros -->
<div id="tblParametros_detail_div" class="rup-table-formEdit-detail">
	<div id ="tblParametros_detail_navigation"  class="hidden"></div>			<!-- Barra de navegación del detalle -->
	<div class="ui-dialog-content ui-widget-content" >
		<form id="tblParametros_detail_form">	
			<div id ="tblParametros_detail_feedback"></div>		<!-- Feedback del formulario de detalle -->
			<div class="row">
				<input type="hidden" name="idBusqueda" id="idBusquedaParametros" />
				<input type="hidden" name="idParametro" id="idParametro" />
				<div class="col-xs-4 form-group">
					<label ><spring:message code="parametros.nombre"/></label>
					<input type="text" class="form-control" class="form-control" name="textoMostrar" id="nombreParametro" maxlength="80" />
				</div>
				<div class="col-xs-4 form-group">
					<label ><spring:message code="parametros.nombreEuskera"/></label>
					<input type="text" class="form-control" class="form-control" name="textoMostrarEus" id="nombreParametroEuskera" maxlength="80" />
				</div>
				<div class="col-xs-4 form-group">
					<label ><spring:message code="parametros.valor"/></label>
					<input type="text" class="form-control" class="form-control" name="nombre" id="valorParametro" maxlength="200" />
				</div>
			</div>
		</form>
	</div>
	<!-- Botonera del formulario de detalle -->
	<div class="rup-table-buttonpane ui-widget-content ui-helper-clearfix">
		<div class="ui-dialog-buttonset">
			<button id="tblParametros_detail_button_save" type="button" class="btn btn-primary">
				<spring:message code="save" />
			</button>
			<!-- Enlace cancelar -->
			<a href="#" role="button" id="tblParametros_detail_link_cancel" class="rup-enlaceCancelar"><spring:message code="boton.cerrar" /></a>		
		</div>
	</div>	
</div>