<%@include file="/WEB-INF/includeTemplate.inc"%>
<%@taglib prefix="form" uri="/WEB-INF/tld/spring-form.tld"%>
<%@taglib prefix="tiles" uri="/WEB-INF/tld/tiles-jsp.tld"%>
<section>
	<form  id="formParticipantesModal" action=""  class="form-horizontal">
		<input type="hidden" name="idTipoTercero" value="${idTipoTercero}"></input>
		<input type="hidden" name="idExpediente" value="${idExpediente}"></input>
		<div id="feedbackMensajesParticipantes" ></div>
		<div class="row">
			<div class="col-xs-4 form-group">
			  <label for="nombre"><spring:message code="solicitante.nombre"/></label>
			  <input type="text" class="form-control"  name="nombre" id="nombre" required="required" maxlength="260"/>
			</div>												
			<div class="col-xs-4 form-group" id= "apellido1Div">
				  <label for="apellido1"><spring:message code="solicitante.apellido1"/></label>
				  <input type="text" class="form-control" name="apellido1"  id="apellido1" required="required" maxlength="260"/>
			</div>											
			<div class="col-xs-4 form-group" id= "apellido2Div">
				  <label for="apellido2"><spring:message code="solicitante.apellido2"/></label>
				  <input type="text" class="form-control" name="apellido2" id="apellido2" maxlength="260"/>
			</div>												
		</div>
		<div class="row">
			<div class="col-xs-4 form-group">
			  <label for="telefono"><spring:message code="solicitante.telefono"/></label>
			  <input type="text" class="form-control phone" name="telefono" id="telefono" required="required" maxlength="10"/>
			</div>												
			<div class="col-xs-4 form-group" id= "apellido1Div">
				  <label for="email"><spring:message code="solicitante.email"/></label>
				  <input type="text" class="form-control email" name="email"  id="email" required="required" maxlength="100"/>
			</div>	
			<div class="col-xs-4 form-group" id="sexoDiv">
			  <label for="idSexo"><spring:message code="solicitante.sexo"/></label>
			  <select class="form-control" id="idComboSexo" name="idSexo" required="required"> </select>
			</div>																				
		</div>						 		
		<div class="rup-table-buttonpane ui-helper-clearfix">
			<div class="ui-dialog-buttonset">
				<button id="btnGuardar" type="button" class="btn btn-primary"><spring:message code="save" /></button>
			</div>
		</div>	
	</form>
</section>
