/**
 * 
 */
package com.ejie.ab61.adaptadores.service;

import com.ejie.ab61.clientesWS.X43SolicitudesYAportaciones.AExtensionPoint;
import com.ejie.ab61.clientesWS.X43SolicitudesYAportaciones.TAdminInitRequest;
import com.ejie.ab61.clientesWS.X43SolicitudesYAportaciones.TSubmissionResponse;
import com.ejie.ab61.clientesWS.X43Toolkit.Exception_Exception;

/**
 *  
 * 
 */
public interface X43SolicitudesYAportacionesService {

	/**
	 * Metodo que permite a la administración iniciar una solicitud bien por
	 * iniciativa propia, por ser una petición razonada o por una denuncia
	 * 
	 * @param adminInitiation
	 *            TAdminInitRequest
	 * @param ep
	 *            AExtensionPoint
	 * 
	 * @return TSubmissionResponse
	 * 
	 * @throws X43SolicitudesYAportacionesException
	 *             X43SolicitudesYAportacionesException
	 */
	public TSubmissionResponse addAdminApplication(TAdminInitRequest adminInitiation, AExtensionPoint ep)
			throws Exception_Exception;

}
