
package com.ejie.ab61.clientesWS.X43Procedimientos;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for TConsultationContext complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TConsultationContext">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}procedureID"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}procedureName"/>
 *         &lt;element name="procedureUrl" type="{com/ejie/x43s/v2/ttn/xml}TTextI18N"/>
 *         &lt;element name="procedureInformationUrl" type="{com/ejie/x43s/v2/ttn/xml}TTextI18N"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}procedureFamilyID"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}procedureFamilyName"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}language"/>
 *         &lt;element name="languageType" type="{com/ejie/x43s/v2/ttn/xml}TLanguageType"/>
 *         &lt;element name="languageTypeName" type="{com/ejie/x43s/v2/ttn/xml}TTextI18N"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}entityID"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}entityName"/>
 *         &lt;element name="managingUnit" type="{com/ejie/x43s/v2/fcp/xml}TManagingUnit"/>
 *         &lt;element name="term" type="{com/ejie/x43s/v2/fcp/xml}TTermDefinition"/>
 *         &lt;element name="daDocumentalSeries" type="{com/ejie/x43s/v2/fcp/xml}TDADocumentalSeries"/>
 *         &lt;element name="isTelematic" type="{com/ejie/x43s/v2/ttn/xml}TBoolean"/>
 *         &lt;element name="isAllowCitizenDelay" type="{com/ejie/x43s/v2/ttn/xml}TBoolean"/>
 *         &lt;element name="telActionIDList" type="{com/ejie/x43s/v2/ttn/xml}TStringList"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TConsultationContext", propOrder = {
    "procedureID",
    "procedureName",
    "procedureUrl",
    "procedureInformationUrl",
    "procedureFamilyID",
    "procedureFamilyName",
    "language",
    "languageType",
    "languageTypeName",
    "entityID",
    "entityName",
    "managingUnit",
    "term",
    "daDocumentalSeries",
    "isTelematic",
    "isAllowCitizenDelay",
    "telActionIDList"
})
public class TConsultationContext {

    @XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String procedureID;
    @XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml", required = true)
    protected TTextI18N procedureName;
    @XmlElement(required = true)
    protected TTextI18N procedureUrl;
    @XmlElement(required = true)
    protected TTextI18N procedureInformationUrl;
    @XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String procedureFamilyID;
    @XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml", required = true)
    protected TTextI18N procedureFamilyName;
    @XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml", required = true)
    protected TLanguage language;
    @XmlElement(required = true)
    protected TLanguageType languageType;
    @XmlElement(required = true)
    protected TTextI18N languageTypeName;
    @XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    protected String entityID;
    @XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml", required = true)
    protected TTextI18N entityName;
    @XmlElement(required = true)
    protected TManagingUnit managingUnit;
    @XmlElement(required = true)
    protected TTermDefinition term;
    @XmlElement(required = true)
    protected TDADocumentalSeries daDocumentalSeries;
    @XmlElement(required = true)
    protected TBoolean isTelematic;
    @XmlElement(required = true)
    protected TBoolean isAllowCitizenDelay;
    @XmlElement(required = true)
    protected TStringList telActionIDList;

    /**
     * Gets the value of the procedureID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getProcedureID() {
        return procedureID;
    }

    /**
     * Sets the value of the procedureID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setProcedureID(String value) {
        this.procedureID = value;
    }

    /**
     * Gets the value of the procedureName property.
     * 
     * @return
     *     possible object is
     *     {@link TTextI18N }
     *     
     */
    public TTextI18N getProcedureName() {
        return procedureName;
    }

    /**
     * Sets the value of the procedureName property.
     * 
     * @param value
     *     allowed object is
     *     {@link TTextI18N }
     *     
     */
    public void setProcedureName(TTextI18N value) {
        this.procedureName = value;
    }

    /**
     * Gets the value of the procedureUrl property.
     * 
     * @return
     *     possible object is
     *     {@link TTextI18N }
     *     
     */
    public TTextI18N getProcedureUrl() {
        return procedureUrl;
    }

    /**
     * Sets the value of the procedureUrl property.
     * 
     * @param value
     *     allowed object is
     *     {@link TTextI18N }
     *     
     */
    public void setProcedureUrl(TTextI18N value) {
        this.procedureUrl = value;
    }

    /**
     * Gets the value of the procedureInformationUrl property.
     * 
     * @return
     *     possible object is
     *     {@link TTextI18N }
     *     
     */
    public TTextI18N getProcedureInformationUrl() {
        return procedureInformationUrl;
    }

    /**
     * Sets the value of the procedureInformationUrl property.
     * 
     * @param value
     *     allowed object is
     *     {@link TTextI18N }
     *     
     */
    public void setProcedureInformationUrl(TTextI18N value) {
        this.procedureInformationUrl = value;
    }

    /**
     * Gets the value of the procedureFamilyID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getProcedureFamilyID() {
        return procedureFamilyID;
    }

    /**
     * Sets the value of the procedureFamilyID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setProcedureFamilyID(String value) {
        this.procedureFamilyID = value;
    }

    /**
     * Gets the value of the procedureFamilyName property.
     * 
     * @return
     *     possible object is
     *     {@link TTextI18N }
     *     
     */
    public TTextI18N getProcedureFamilyName() {
        return procedureFamilyName;
    }

    /**
     * Sets the value of the procedureFamilyName property.
     * 
     * @param value
     *     allowed object is
     *     {@link TTextI18N }
     *     
     */
    public void setProcedureFamilyName(TTextI18N value) {
        this.procedureFamilyName = value;
    }

    /**
     * Gets the value of the language property.
     * 
     * @return
     *     possible object is
     *     {@link TLanguage }
     *     
     */
    public TLanguage getLanguage() {
        return language;
    }

    /**
     * Sets the value of the language property.
     * 
     * @param value
     *     allowed object is
     *     {@link TLanguage }
     *     
     */
    public void setLanguage(TLanguage value) {
        this.language = value;
    }

    /**
     * Gets the value of the languageType property.
     * 
     * @return
     *     possible object is
     *     {@link TLanguageType }
     *     
     */
    public TLanguageType getLanguageType() {
        return languageType;
    }

    /**
     * Sets the value of the languageType property.
     * 
     * @param value
     *     allowed object is
     *     {@link TLanguageType }
     *     
     */
    public void setLanguageType(TLanguageType value) {
        this.languageType = value;
    }

    /**
     * Gets the value of the languageTypeName property.
     * 
     * @return
     *     possible object is
     *     {@link TTextI18N }
     *     
     */
    public TTextI18N getLanguageTypeName() {
        return languageTypeName;
    }

    /**
     * Sets the value of the languageTypeName property.
     * 
     * @param value
     *     allowed object is
     *     {@link TTextI18N }
     *     
     */
    public void setLanguageTypeName(TTextI18N value) {
        this.languageTypeName = value;
    }

    /**
     * Gets the value of the entityID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getEntityID() {
        return entityID;
    }

    /**
     * Sets the value of the entityID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setEntityID(String value) {
        this.entityID = value;
    }

    /**
     * Gets the value of the entityName property.
     * 
     * @return
     *     possible object is
     *     {@link TTextI18N }
     *     
     */
    public TTextI18N getEntityName() {
        return entityName;
    }

    /**
     * Sets the value of the entityName property.
     * 
     * @param value
     *     allowed object is
     *     {@link TTextI18N }
     *     
     */
    public void setEntityName(TTextI18N value) {
        this.entityName = value;
    }

    /**
     * Gets the value of the managingUnit property.
     * 
     * @return
     *     possible object is
     *     {@link TManagingUnit }
     *     
     */
    public TManagingUnit getManagingUnit() {
        return managingUnit;
    }

    /**
     * Sets the value of the managingUnit property.
     * 
     * @param value
     *     allowed object is
     *     {@link TManagingUnit }
     *     
     */
    public void setManagingUnit(TManagingUnit value) {
        this.managingUnit = value;
    }

    /**
     * Gets the value of the term property.
     * 
     * @return
     *     possible object is
     *     {@link TTermDefinition }
     *     
     */
    public TTermDefinition getTerm() {
        return term;
    }

    /**
     * Sets the value of the term property.
     * 
     * @param value
     *     allowed object is
     *     {@link TTermDefinition }
     *     
     */
    public void setTerm(TTermDefinition value) {
        this.term = value;
    }

    /**
     * Gets the value of the daDocumentalSeries property.
     * 
     * @return
     *     possible object is
     *     {@link TDADocumentalSeries }
     *     
     */
    public TDADocumentalSeries getDaDocumentalSeries() {
        return daDocumentalSeries;
    }

    /**
     * Sets the value of the daDocumentalSeries property.
     * 
     * @param value
     *     allowed object is
     *     {@link TDADocumentalSeries }
     *     
     */
    public void setDaDocumentalSeries(TDADocumentalSeries value) {
        this.daDocumentalSeries = value;
    }

    /**
     * Gets the value of the isTelematic property.
     * 
     * @return
     *     possible object is
     *     {@link TBoolean }
     *     
     */
    public TBoolean getIsTelematic() {
        return isTelematic;
    }

    /**
     * Sets the value of the isTelematic property.
     * 
     * @param value
     *     allowed object is
     *     {@link TBoolean }
     *     
     */
    public void setIsTelematic(TBoolean value) {
        this.isTelematic = value;
    }

    /**
     * Gets the value of the isAllowCitizenDelay property.
     * 
     * @return
     *     possible object is
     *     {@link TBoolean }
     *     
     */
    public TBoolean getIsAllowCitizenDelay() {
        return isAllowCitizenDelay;
    }

    /**
     * Sets the value of the isAllowCitizenDelay property.
     * 
     * @param value
     *     allowed object is
     *     {@link TBoolean }
     *     
     */
    public void setIsAllowCitizenDelay(TBoolean value) {
        this.isAllowCitizenDelay = value;
    }

    /**
     * Gets the value of the telActionIDList property.
     * 
     * @return
     *     possible object is
     *     {@link TStringList }
     *     
     */
    public TStringList getTelActionIDList() {
        return telActionIDList;
    }

    /**
     * Sets the value of the telActionIDList property.
     * 
     * @param value
     *     allowed object is
     *     {@link TStringList }
     *     
     */
    public void setTelActionIDList(TStringList value) {
        this.telActionIDList = value;
    }

}
