
package com.ejie.ab61.clientesWS.X43TareasTramitacion;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for TPaymentRequest complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="TPaymentRequest">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="emisor" type="{com/ejie/x43s/v2/rta/xml}TEmisor" minOccurs="0"/>
 *         &lt;element ref="{com/ejie/x43s/v2/ttn/xml}description" minOccurs="0"/>
 *         &lt;element name="backend" type="{com/ejie/x43s/v2/rta/xml}TBackend" minOccurs="0"/>
 *         &lt;element name="aplicacion" type="{com/ejie/x43s/v2/rta/xml}TAplicacion" minOccurs="0"/>
 *         &lt;element name="liquidacion" type="{com/ejie/x43s/v2/rta/xml}TLiquidacion" minOccurs="0"/>
 *         &lt;element name="isValidation" type="{com/ejie/x43s/v2/ttn/xml}TBoolean" minOccurs="0"/>
 *         &lt;element name="datosPago" type="{com/ejie/x43s/v2/rta/xml}TDatosPago" minOccurs="0"/>
 *         &lt;element name="conceptos" type="{com/ejie/x43s/v2/rta/xml}TConceptos" minOccurs="0"/>
 *         &lt;element name="expediente" type="{com/ejie/x43s/v2/rta/xml}TExpediente" minOccurs="0"/>
 *         &lt;element name="mensajes" type="{com/ejie/x43s/v2/rta/xml}TMensajes" minOccurs="0"/>
 *         &lt;element name="domiciliacion" type="{com/ejie/x43s/v2/rta/xml}TDomiciliacion" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "TPaymentRequest", propOrder = {
    "emisor",
    "description",
    "backend",
    "aplicacion",
    "liquidacion",
    "isValidation",
    "datosPago",
    "conceptos",
    "expediente",
    "mensajes",
    "domiciliacion"
})
public class TPaymentRequest {

    protected TEmisor emisor;
    @XmlElement(namespace = "com/ejie/x43s/v2/ttn/xml")
    protected TTextI18N description;
    protected TBackend backend;
    protected TAplicacion aplicacion;
    protected TLiquidacion liquidacion;
    protected TBoolean isValidation;
    protected TDatosPago datosPago;
    protected TConceptos conceptos;
    protected TExpediente expediente;
    protected TMensajes mensajes;
    protected TDomiciliacion domiciliacion;

    /**
     * Gets the value of the emisor property.
     * 
     * @return
     *     possible object is
     *     {@link TEmisor }
     *     
     */
    public TEmisor getEmisor() {
        return emisor;
    }

    /**
     * Sets the value of the emisor property.
     * 
     * @param value
     *     allowed object is
     *     {@link TEmisor }
     *     
     */
    public void setEmisor(TEmisor value) {
        this.emisor = value;
    }

    /**
     * Gets the value of the description property.
     * 
     * @return
     *     possible object is
     *     {@link TTextI18N }
     *     
     */
    public TTextI18N getDescription() {
        return description;
    }

    /**
     * Sets the value of the description property.
     * 
     * @param value
     *     allowed object is
     *     {@link TTextI18N }
     *     
     */
    public void setDescription(TTextI18N value) {
        this.description = value;
    }

    /**
     * Gets the value of the backend property.
     * 
     * @return
     *     possible object is
     *     {@link TBackend }
     *     
     */
    public TBackend getBackend() {
        return backend;
    }

    /**
     * Sets the value of the backend property.
     * 
     * @param value
     *     allowed object is
     *     {@link TBackend }
     *     
     */
    public void setBackend(TBackend value) {
        this.backend = value;
    }

    /**
     * Gets the value of the aplicacion property.
     * 
     * @return
     *     possible object is
     *     {@link TAplicacion }
     *     
     */
    public TAplicacion getAplicacion() {
        return aplicacion;
    }

    /**
     * Sets the value of the aplicacion property.
     * 
     * @param value
     *     allowed object is
     *     {@link TAplicacion }
     *     
     */
    public void setAplicacion(TAplicacion value) {
        this.aplicacion = value;
    }

    /**
     * Gets the value of the liquidacion property.
     * 
     * @return
     *     possible object is
     *     {@link TLiquidacion }
     *     
     */
    public TLiquidacion getLiquidacion() {
        return liquidacion;
    }

    /**
     * Sets the value of the liquidacion property.
     * 
     * @param value
     *     allowed object is
     *     {@link TLiquidacion }
     *     
     */
    public void setLiquidacion(TLiquidacion value) {
        this.liquidacion = value;
    }

    /**
     * Gets the value of the isValidation property.
     * 
     * @return
     *     possible object is
     *     {@link TBoolean }
     *     
     */
    public TBoolean getIsValidation() {
        return isValidation;
    }

    /**
     * Sets the value of the isValidation property.
     * 
     * @param value
     *     allowed object is
     *     {@link TBoolean }
     *     
     */
    public void setIsValidation(TBoolean value) {
        this.isValidation = value;
    }

    /**
     * Gets the value of the datosPago property.
     * 
     * @return
     *     possible object is
     *     {@link TDatosPago }
     *     
     */
    public TDatosPago getDatosPago() {
        return datosPago;
    }

    /**
     * Sets the value of the datosPago property.
     * 
     * @param value
     *     allowed object is
     *     {@link TDatosPago }
     *     
     */
    public void setDatosPago(TDatosPago value) {
        this.datosPago = value;
    }

    /**
     * Gets the value of the conceptos property.
     * 
     * @return
     *     possible object is
     *     {@link TConceptos }
     *     
     */
    public TConceptos getConceptos() {
        return conceptos;
    }

    /**
     * Sets the value of the conceptos property.
     * 
     * @param value
     *     allowed object is
     *     {@link TConceptos }
     *     
     */
    public void setConceptos(TConceptos value) {
        this.conceptos = value;
    }

    /**
     * Gets the value of the expediente property.
     * 
     * @return
     *     possible object is
     *     {@link TExpediente }
     *     
     */
    public TExpediente getExpediente() {
        return expediente;
    }

    /**
     * Sets the value of the expediente property.
     * 
     * @param value
     *     allowed object is
     *     {@link TExpediente }
     *     
     */
    public void setExpediente(TExpediente value) {
        this.expediente = value;
    }

    /**
     * Gets the value of the mensajes property.
     * 
     * @return
     *     possible object is
     *     {@link TMensajes }
     *     
     */
    public TMensajes getMensajes() {
        return mensajes;
    }

    /**
     * Sets the value of the mensajes property.
     * 
     * @param value
     *     allowed object is
     *     {@link TMensajes }
     *     
     */
    public void setMensajes(TMensajes value) {
        this.mensajes = value;
    }

    /**
     * Gets the value of the domiciliacion property.
     * 
     * @return
     *     possible object is
     *     {@link TDomiciliacion }
     *     
     */
    public TDomiciliacion getDomiciliacion() {
        return domiciliacion;
    }

    /**
     * Sets the value of the domiciliacion property.
     * 
     * @param value
     *     allowed object is
     *     {@link TDomiciliacion }
     *     
     */
    public void setDomiciliacion(TDomiciliacion value) {
        this.domiciliacion = value;
    }

}
