
package com.ejie.ab61.clientesWS.pid;

import java.util.List;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;

/**
 * This class was  
 * source version: 2.1
 * 
 */
@WebService(name = "w43dfPIDInterface", targetNamespace = "com/ejie/documents/xml")
@XmlSeeAlso({ ObjectFactory.class })
public interface W43DfPIDInterface {

	/**
	 * 
	 * @param newDocument
	 * @return returns java.lang.String
	 * @throws W43DfWSFault
	 */
	@WebMethod
	@WebResult(targetNamespace = "")
	@RequestWrapper(localName = "addDocument", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.AddDocument")
	@ResponseWrapper(localName = "addDocumentResponse", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.AddDocumentResponse")
	public String addDocument(
			@WebParam(name = "newDocument", targetNamespace = "com/ejie/documents/xml") W43DfDocument newDocument)
			throws W43DfWSFault;

	/**
	 * 
	 * @param newDocuments
	 * @return returns java.util.List<java.lang.String>
	 * @throws W43DfWSFault
	 */
	@WebMethod
	@WebResult(targetNamespace = "")
	@RequestWrapper(localName = "addDocuments", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.AddDocuments")
	@ResponseWrapper(localName = "addDocumentsResponse", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.AddDocumentsResponse")
	public List<String> addDocuments(
			@WebParam(name = "newDocuments", targetNamespace = "com/ejie/documents/xml") List<W43DfDocument> newDocuments)
			throws W43DfWSFault;

	/**
	 * 
	 * @param getDocument
	 * @return returns com.ejie.ab61.clientesWS.pid.W43DfDocument
	 * @throws W43DfWSFault
	 */
	@WebMethod
	@WebResult(targetNamespace = "")
	@RequestWrapper(localName = "getDocument", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.GetDocument")
	@ResponseWrapper(localName = "getDocumentResponse", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.GetDocumentResponse")
	public W43DfDocument getDocument(
			@WebParam(name = "getDocument", targetNamespace = "com/ejie/documents/xml") W43DfGETDocument getDocument)
			throws W43DfWSFault;

	/**
	 * 
	 * @param getDocuments
	 * @return returns
	 *         java.util.List<com.ejie.ab61.clientesWS.pid.W43DfDocument>
	 * @throws W43DfWSFault
	 */
	@WebMethod
	@WebResult(targetNamespace = "")
	@RequestWrapper(localName = "getDocuments", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.GetDocuments")
	@ResponseWrapper(localName = "getDocumentsResponse", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.GetDocumentsResponse")
	public List<W43DfDocument> getDocuments(
			@WebParam(name = "getDocuments", targetNamespace = "com/ejie/documents/xml") List<W43DfGETDocument> getDocuments)
			throws W43DfWSFault;

	/**
	 * 
	 * @param getDocumentInfo
	 * @return returns com.ejie.ab61.clientesWS.pid.W43DfDocumentInfo
	 * @throws W43DfWSFault
	 */
	@WebMethod
	@WebResult(targetNamespace = "")
	@RequestWrapper(localName = "getDocumentInfo", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.GetDocumentInfo")
	@ResponseWrapper(localName = "getDocumentInfoResponse", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.GetDocumentInfoResponse")
	public W43DfDocumentInfo getDocumentInfo(
			@WebParam(name = "getDocumentInfo", targetNamespace = "com/ejie/documents/xml") W43DfGETDocumentInfo getDocumentInfo)
			throws W43DfWSFault;

	/**
	 * 
	 * @param getDocumentInfos
	 * @return returns
	 *         java.util.List<com.ejie.ab61.clientesWS.pid.W43DfDocumentInfo>
	 * @throws W43DfWSFault
	 */
	@WebMethod
	@WebResult(targetNamespace = "")
	@RequestWrapper(localName = "getDocumentsInfo", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.GetDocumentsInfo")
	@ResponseWrapper(localName = "getDocumentsInfoResponse", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.GetDocumentsInfoResponse")
	public List<W43DfDocumentInfo> getDocumentsInfo(
			@WebParam(name = "getDocumentInfos", targetNamespace = "com/ejie/documents/xml") List<W43DfGETDocumentInfo> getDocumentInfos)
			throws W43DfWSFault;

	/**
	 * 
	 * @param putDocument
	 * @throws W43DfWSFault
	 */
	@WebMethod
	@RequestWrapper(localName = "modifyDocument", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.ModifyDocument")
	@ResponseWrapper(localName = "modifyDocumentResponse", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.ModifyDocumentResponse")
	public void modifyDocument(
			@WebParam(name = "putDocument", targetNamespace = "com/ejie/documents/xml") W43DfDocument putDocument)
			throws W43DfWSFault;

	/**
	 * 
	 * @param putDocuments
	 * @throws W43DfWSFault
	 */
	@WebMethod
	@RequestWrapper(localName = "modifyDocuments", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.ModifyDocuments")
	@ResponseWrapper(localName = "modifyDocumentsResponse", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.ModifyDocumentsResponse")
	public void modifyDocuments(
			@WebParam(name = "putDocuments", targetNamespace = "com/ejie/documents/xml") List<W43DfDocument> putDocuments)
			throws W43DfWSFault;

	/**
	 * 
	 * @param documentId
	 * @throws W43DfWSFault
	 */
	@WebMethod
	@RequestWrapper(localName = "deleteDocument", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.DeleteDocument")
	@ResponseWrapper(localName = "deleteDocumentResponse", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.DeleteDocumentResponse")
	public void deleteDocument(
			@WebParam(name = "documentId", targetNamespace = "com/ejie/documents/xml") String documentId)
			throws W43DfWSFault;

	/**
	 * 
	 * @param documentIds
	 * @throws W43DfWSFault
	 */
	@WebMethod
	@RequestWrapper(localName = "deleteDocuments", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.DeleteDocuments")
	@ResponseWrapper(localName = "deleteDocumentsResponse", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.DeleteDocumentsResponse")
	public void deleteDocuments(
			@WebParam(name = "documentIds", targetNamespace = "com/ejie/documents/xml") List<String> documentIds)
			throws W43DfWSFault;

	/**
	 * 
	 * @param getFormat
	 * @return returns java.util.List<com.ejie.ab61.clientesWS.pid.W43DfFormat>
	 * @throws W43DfWSFault
	 */
	@WebMethod
	@WebResult(targetNamespace = "")
	@RequestWrapper(localName = "getContentFormats", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.GetContentFormats")
	@ResponseWrapper(localName = "getContentFormatsResponse", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.GetContentFormatsResponse")
	public List<W43DfFormat> getContentFormats(
			@WebParam(name = "getFormat", targetNamespace = "com/ejie/documents/xml") W43DfFormat getFormat)
			throws W43DfWSFault;

	/**
	 * 
	 * @param renditionProfile
	 * @return returns
	 *         java.util.List<com.ejie.ab61.clientesWS.pid.W43DfRenditionProfile>
	 * @throws W43DfWSFault
	 */
	@WebMethod
	@WebResult(targetNamespace = "")
	@RequestWrapper(localName = "getRenditionProfiles", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.GetRenditionProfiles")
	@ResponseWrapper(localName = "getRenditionProfilesResponse", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.GetRenditionProfilesResponse")
	public List<W43DfRenditionProfile> getRenditionProfiles(
			@WebParam(name = "renditionProfile", targetNamespace = "com/ejie/documents/xml") W43DfRenditionProfile renditionProfile)
			throws W43DfWSFault;

	/**
	 * 
	 * @param renditionRequest
	 * @throws W43DfWSFault
	 */
	@WebMethod
	@RequestWrapper(localName = "requestRendition", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.RequestRendition")
	@ResponseWrapper(localName = "requestRenditionResponse", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.RequestRenditionResponse")
	public void requestRendition(
			@WebParam(name = "renditionRequest", targetNamespace = "com/ejie/documents/xml") W43DfRenditionRequest renditionRequest)
			throws W43DfWSFault;

	/**
	 * 
	 * @param renditionsRequests
	 * @throws W43DfWSFault
	 */
	@WebMethod
	@RequestWrapper(localName = "requestRenditions", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.RequestRenditions")
	@ResponseWrapper(localName = "requestRenditionsResponse", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.RequestRenditionsResponse")
	public void requestRenditions(
			@WebParam(name = "renditionsRequests", targetNamespace = "com/ejie/documents/xml") List<W43DfRenditionRequest> renditionsRequests)
			throws W43DfWSFault;

	/**
	 * 
	 * @param typeName
	 * @return returns com.ejie.ab61.clientesWS.pid.W43DfType
	 * @throws W43DfWSFault
	 */
	@WebMethod
	@WebResult(targetNamespace = "")
	@RequestWrapper(localName = "getTypeDefinition", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.GetTypeDefinition")
	@ResponseWrapper(localName = "getTypeDefinitionResponse", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.GetTypeDefinitionResponse")
	public W43DfType getTypeDefinition(
			@WebParam(name = "typeName", targetNamespace = "com/ejie/documents/xml") String typeName)
			throws W43DfWSFault;

	/**
	 * 
	 * @param typeName
	 * @return returns java.util.List<java.lang.String>
	 * @throws W43DfWSFault
	 */
	@WebMethod
	@WebResult(targetNamespace = "")
	@RequestWrapper(localName = "getTypeNames", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.GetTypeNames")
	@ResponseWrapper(localName = "getTypeNamesResponse", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.GetTypeNamesResponse")
	public List<String> getTypeNames(
			@WebParam(name = "typeName", targetNamespace = "com/ejie/documents/xml") String typeName)
			throws W43DfWSFault;

	/**
	 * 
	 * @param typedQuery
	 * @return returns com.ejie.ab61.clientesWS.pid.W43DfResultSet
	 * @throws W43DfWSFault
	 */
	@WebMethod
	@WebResult(targetNamespace = "")
	@RequestWrapper(localName = "searchByType", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.SearchByType")
	@ResponseWrapper(localName = "searchByTypeResponse", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.SearchByTypeResponse")
	public W43DfResultSet searchByType(
			@WebParam(name = "typedQuery", targetNamespace = "com/ejie/documents/xml") W43DfTypedQuery typedQuery)
			throws W43DfWSFault;

	/**
	 * 
	 * @param fulltextQuery
	 * @return returns com.ejie.ab61.clientesWS.pid.W43DfFTResultSet
	 * @throws W43DfWSFault
	 */
	@WebMethod
	@WebResult(targetNamespace = "")
	@RequestWrapper(localName = "searchFulltext", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.SearchFulltext")
	@ResponseWrapper(localName = "searchFulltextResponse", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.SearchFulltextResponse")
	public W43DfFTResultSet searchFulltext(
			@WebParam(name = "fulltextQuery", targetNamespace = "com/ejie/documents/xml") W43DfFTQuery fulltextQuery)
			throws W43DfWSFault;

	/**
	 * 
	 * @param attributedQuery
	 * @return returns com.ejie.ab61.clientesWS.pid.W43DfResultSet
	 * @throws W43DfWSFault
	 */
	@WebMethod
	@WebResult(targetNamespace = "")
	@RequestWrapper(localName = "searchByAttributes", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.SearchByAttributes")
	@ResponseWrapper(localName = "searchByAttributesResponse", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.SearchByAttributesResponse")
	public W43DfResultSet searchByAttributes(
			@WebParam(name = "attributedQuery", targetNamespace = "com/ejie/documents/xml") W43DfAttributedQuery attributedQuery)
			throws W43DfWSFault;

	/**
	 * 
	 * @return returns
	 *         java.util.List<com.ejie.ab61.clientesWS.pid.W43DfFilestore>
	 * @throws W43DfWSFault
	 */
	@WebMethod
	@WebResult(targetNamespace = "")
	@RequestWrapper(localName = "getFilestores", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.GetFilestores")
	@ResponseWrapper(localName = "getFilestoresResponse", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.GetFilestoresResponse")
	public List<W43DfFilestore> getFilestores() throws W43DfWSFault;

	/**
	 * 
	 * @param copyDocument
	 * @return returns java.lang.String
	 * @throws W43DfWSFault
	 */
	@WebMethod
	@WebResult(targetNamespace = "")
	@RequestWrapper(localName = "copyDocument", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.CopyDocument")
	@ResponseWrapper(localName = "copyDocumentResponse", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.CopyDocumentResponse")
	public String copyDocument(
			@WebParam(name = "copyDocument", targetNamespace = "com/ejie/documents/xml") W43DfDocument copyDocument)
			throws W43DfWSFault;

	/**
	 * 
	 * @param copyDocuments
	 * @return returns java.util.List<java.lang.String>
	 * @throws W43DfWSFault
	 */
	@WebMethod
	@WebResult(targetNamespace = "")
	@RequestWrapper(localName = "copyDocuments", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.CopyDocuments")
	@ResponseWrapper(localName = "copyDocumentsResponse", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.CopyDocumentsResponse")
	public List<String> copyDocuments(
			@WebParam(name = "copyDocuments", targetNamespace = "com/ejie/documents/xml") List<W43DfDocument> copyDocuments)
			throws W43DfWSFault;

	/**
	 * 
	 * @param doParse
	 * @param newDocuments
	 * @return returns
	 *         java.util.List<com.ejie.ab61.clientesWS.pid.W43DfDocument>
	 * @throws W43DfWSFault
	 */
	@WebMethod
	@WebResult(targetNamespace = "")
	@RequestWrapper(localName = "testInteroperability", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.TestInteroperability")
	@ResponseWrapper(localName = "testInteroperabilityResponse", targetNamespace = "com/ejie/documents/xml", className = "com.ejie.ab61.clientesWS.pid.TestInteroperabilityResponse")
	public List<W43DfDocument> testInteroperability(
			@WebParam(name = "newDocuments", targetNamespace = "com/ejie/documents/xml") List<W43DfDocument> newDocuments,
			@WebParam(name = "doParse", targetNamespace = "com/ejie/documents/xml") boolean doParse)
			throws W43DfWSFault;

}
