package com.ejie.ab61.exceptions;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

/**
 * Excepción de integración con el PID
 *
 *  
 */
@ResponseStatus(value = HttpStatus.INTERNAL_SERVER_ERROR, reason = "Se ha producido una excepción de integración con el PID")
public class PidException extends RuntimeException {

	/**
	 *
	 */
	private static final long serialVersionUID = -2771580568378598323L;

	/**
	 * Construye una nueva excepción de integración con el mensaje de detalle
	 * especificado.
	 *
	 * @param message
	 *            Detalle de la excepción.
	 *
	 */
	public PidException(String message) {
		super(message);
	}
}