package com.ejie.ab61.service.inspecciones;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ejie.ab61.dao.inspecciones.InspeccionesDao;
import com.ejie.ab61.model.inspecciones.Inspecciones;

/**
 * InspeccionesServiceImpl  
 * 
 *  
 */

@Service(value = "inspeccionesService")
public class InspeccionesServiceImpl implements InspeccionesService {

	@Autowired
	private InspeccionesDao inspeccionesDao;

	@Override
	public Inspecciones findByIdentificadorInspeccion(String identificadorInspeccion) {
		return this.inspeccionesDao.findByIdentificadorInspeccion(identificadorInspeccion);
	}

}
