package com.ejie.ab61.service.terceros;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ejie.ab61.dao.terceros.SexoDao;
import com.ejie.ab61.model.terceros.Sexo;

/**
 * SexoServiceImpl  
 * 
 *  
 */
@Service(value = "sexoService")
public class SexoServiceImpl implements SexoService {

	@Autowired
	private SexoDao sexoDao;

	/**
	 * Finds a list of rows in the TiposCanalAviso table.
	 *
	 * @param sexoidiomas
	 *            Sexo
	 * @param jqGridRequestDto
	 *            JQGridRequestDto
	 * @return List<Sexo>
	 */
	public List<Sexo> findAll() {
		return (List<Sexo>) this.sexoDao.findAll();
	}

}
