package com.ejie.ab61.tramita.services;

import com.ejie.ab61.clientesWS.pid.W43DfDocument;
import com.ejie.ab61.clientesWS.pid.W43DfGETDocument;
import com.ejie.ab61.clientesWS.pid.W43DfWSFault;

/**
 * PidService Interfaz de la clase que implementa la llamada al cliente del PID
 *
 *  
 *
 */
public interface PidService {

	/**
	 * getDocument
	 *
	 * @param getDocument
	 *            W43DfGETDocument
	 * @return W43DfDocument
	 * @throws W43DfWSFault
	 */
	public W43DfDocument getDocument(W43DfGETDocument getDocument) throws W43DfWSFault;

	/**
	 * addDocument
	 *
	 * @param newDocument
	 *            W43DfDocument
	 * @return String
	 * @throws W43DfWSFault
	 */
	public String addDocument(W43DfDocument newDocument) throws W43DfWSFault;

	/**
	 * deleteDocument
	 *
	 * @param documentId
	 *            String
	 * @throws W43DfWSFault
	 */
	public void deleteDocument(String documentId) throws W43DfWSFault;

	/**
	 * modifyDocument
	 *
	 * @param putDocument
	 *            W43DfDocument
	 * @throws W43DfWSFault
	 */
	public void modifyDocument(W43DfDocument putDocument) throws W43DfWSFault;
}
