<%@include file="/WEB-INF/includeTemplate.inc"%>	
<%@page import="java.util.*" %> 
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>

<section>
	<div id="space"></div>
	<div class="container">
		<div id="tblModulosAdministrativos_toolbar" class="mitoolbar clearfix">
			<button id="btnHuecosFolderId" class="btn-circle" type="button" data-toggle="tooltip" data-placement="top" title=''><i class="fa fa-exclamation" aria-hidden="true"></i></button>
			<button id="btnCargarExpediente" class="btn-circle" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tooltip.CargarExpediente"/>'><i class="fa fa-tasks" aria-hidden="true"></i></button>
			<button id="btnObtenerErrores" class="btn-circle" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tooltip.ObtenerErrores"/>'><i class="fa fa-cog" aria-hidden="true"></i></button>
		</div>
		<div id="space"></div>
		<div class="panel panel-default">
			<div class="panel-heading"><spring:message code="moduloAdministrativo.buscar"/></div>
			<div id="id_capa"></div>
			<div class="panel-body">
				<div id="tblModulosAdministrativos_div" class="rup-table-container">
					<div id="tblModulosAdministrativos_feedback" class="hidden"></div>
					<div id="tblModulosAdministrativos_filter_div" class="rup-table-container">
						<form:form commandName="mantenimientoModuloAdministrativo" id="tblModulosAdministrativos_filter_form"  method="POST">
							<div class="row">
								<div class="col-xs-2 form-group">
									<label><spring:message code="moduloAdministrativo.idMensaje"/></label>
									<form:input path="idMensaje" id="idMensaje" class="form-control"></form:input>
								</div>
								<div class="col-xs-2 form-group">
									<label><spring:message code="moduloAdministrativo.idSolicitud"/></label>
									<form:input path="idSolicitud" id="idSolicitud" class="form-control"></form:input>
								</div>
								<div class="col-xs-2 form-group">
									<label><spring:message code="moduloAdministrativo.codigoProcedimiento"/></label>
									<form:input path="codigoProcedimiento" id="codigoProcedimiento" class="form-control"></form:input>
								</div>
								<div class="col-xs-2 form-group">
									<label><spring:message code="moduloAdministrativo.evento"/></label>
									<form:input path="tipoMensaje" id="tipoMensaje" class="form-control"></form:input>
								</div>
								<div class="col-xs-2 form-group">
									<label><spring:message code="moduloAdministrativo.plateaType"/></label>
									<form:input path="plateaType" id="plateaType" class="form-control"></form:input>
								</div>
								<div class="col-xs-2 form-group">
									<label><spring:message code="moduloAdministrativo.plateaSubType"/></label>
									<form:input path="plateaSubType" id="plateaSubType" class="form-control"></form:input>
								</div>
							</div>
							<div class="row">
								<div class="col-xs-3 form-group">
									<label><spring:message code="moduloAdministrativo.folderId"/></label>
									<form:input path="folderId" id="folderId" class="form-control"></form:input>
								</div>
								
								<div class="col-xs-3 form-group">
									<label><spring:message code="moduloAdministrativo.fechaRegistroDesde"/></label>
									<form:input path="fechaRegistroDesde" id="fechaRegistroDesde" class="form-control oculto" hidden></form:input><br>
									<input type="text" id="fechaDesde"/>
								</div>
								<div class="col-xs-3 form-group">	
									<label><spring:message code="moduloAdministrativo.fechaRegistroHasta"/></label>
									<form:input path="fechaRegistroHasta" id="fechaRegistroHasta" class="form-control oculto"></form:input><br>
									<input type="text" id="fechaHasta"/>
								</div>
								<div class="col-xs-3 form-group">
									<button class="btn btn-default btn-circle" id="btnBuscarModulos" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tooltip.buscar"/>'><i class="fa fa-search"></i></button>
									<button class="btn btn-default btn-circle" id="btnLimpiarModulos" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tooltip.limpiar"/>'><i class="fa fa-eraser"></i></button>
								</div>
							</div>
							<div class="row">
								
							</div>
						</form:form>
						
						<div id="tblModulosAdministrativos_toolbar2" class="mitoolbar clearfix" style="border:0px">
							<div>
								<button id="btnTodos" class="btn-circle" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tooltip.todos"/>'><i class="fa fa-globe" aria-hidden="true"></i></button>
								<button id="btnCorrectos" class="btn-circle" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tooltip.correctos"/>'><i class="fa fa-check" aria-hidden="true"></i></button>
								<button id="btnErrores" class="btn-circle" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tooltip.fallidos"/>'><i class="fa fa-times" aria-hidden="true"></i></button>
								<button id="btnCorregirMensaje" class="btn-circle" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tooltip.CorregirMensaje"/>' style="float:right"><i class="fa fa-wrench" aria-hidden="true"></i></button>
							</div>
						</div>
												
						<div id="tblModulosAdministrativos_grid_div">
							<!-- Tabla -->
							<table id="tblModulosAdministrativos" class="table"></table>
							<!-- Barra de paginación -->
							<div id="tblModulosAdministrativos_pager"></div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div id="tblModulosAdministrativos_div" class="rup-table-formEdit-detail modal-lg">
		<div id="tblModulosAdministrativos_detail_navigation" class="hidden"></div>
		<div class="ui-dialog-content ui-widget-content">
		
		</div>
		<div class="rup-table-buttonpane  ui-helper-clearfix">
			<div class="ui-dialog-buttonset">
				<button id="tblModulosAdministrativos_detail_button_save" type="button" class="btn btn-primary">
					<spring:message code="save" />
				</button>			
				<a href="#" role="button" id="tblModulosAdministrativos_detail_link_cancel" class="rup-enlaceCancelar"><spring:message code="boton.cerrar" /></a>		
			</div>
		</div>
	</div>
	<div id="tblModulosAdministrativos_filter_toolbar" style="visibility: hidden;"></div>
</section>
<div id="dialogsMensajes" style="display: none"></div>
<div id="dialogsSolicitudes" style="display: none"></div>
<div id="dialogsTrazas" style="display: none"></div>
<div id="dialogsCargarExpediente" style="display: none"></div>
<div id="dialogsHuecosFolderNumber" style="display: none">
	<section>
		<div id="space"></div>
		<div id="ocultar1">
			<div class="container">
				<div class="panel panel-default">
					<div class="panel-heading"><spring:message code="moduloAdministrativo.folderNull"/></div>
					<div id="id_capa"></div>
					<div class="panel-body">
						<div id="tblFolderNull_div" class="rup-table-container">
							<div id="tblFolderNull_feedback" class="hidden"></div>
							<div id="tblFolderNull_filter_div" class="rup-table-container">
								<form:form commandName="mantenimientoModuloAdministrativo" id="tblFolderNull_filter_form"  method="POST">
								</form:form>
								<div id="tblFolderNull_grid_div">
									<!-- Tabla -->
									<table id="tblFolderNull" class="table"></table>
									<!-- Barra de paginación -->
									<div id="tblFolderNull_pager"></div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div id="tblFolderNull_div" class="rup-table-formEdit-detail modal-lg">
				<div id="tblFolderNull_detail_navigation" class="hidden"></div>
				<div class="ui-dialog-content ui-widget-content"></div>
				<div class="rup-table-buttonpane  ui-helper-clearfix">
					<div class="ui-dialog-buttonset">
						<button id="tblFolderNull_detail_button_save" type="button" class="btn btn-primary">
							<spring:message code="save" />
						</button>			
						<a href="#" role="button" id="tblFolderNull_detail_link_cancel" class="rup-enlaceCancelar"><spring:message code="boton.cerrar" /></a>		
					</div>
				</div>
			</div>
			<div id="tblFolderNull_filter_toolbar" style="visibility: hidden;"></div>
		</div>	
			<div id="space"></div>
		<div id="ocultar2">	
			<div class="container">
				<div class="panel panel-default">
					<div class="panel-heading"><spring:message code="moduloAdministrativo.huecos"/></div>
					<div id="id_capa"></div>
					<div class="panel-body">
						<div id="tblHuecosFolderNumber_div" class="rup-table-container">
							<div id="tblHuecosFolderNumber_feedback" class="hidden"></div>
							<div id="tblHuecosFolderNumber_filter_div" class="rup-table-container">
								<form:form commandName="mantenimientoModuloAdministrativo" id="tblHuecosFolderNumber_filter_form"  method="POST">
								</form:form>
								<div id="tblHuecosFolderNumber_grid_div">
									<!-- Tabla -->
									<table id="tblHuecosFolderNumber" class="table"></table>
									<!-- Barra de paginación -->
									<div id="tblHuecosFolderNumber_pager"></div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div id="tblHuecosFolderNumber_div" class="rup-table-formEdit-detail modal-lg">
				<div id="tblHuecosFolderNumber_detail_navigation" class="hidden"></div>
				<div class="ui-dialog-content ui-widget-content"></div>
				<div class="rup-table-buttonpane  ui-helper-clearfix">
					<div class="ui-dialog-buttonset">
						<button id="tblHuecosFolderNumber_detail_button_save" type="button" class="btn btn-primary">
							<spring:message code="save" />
						</button>			
						<a href="#" role="button" id="tblHuecosFolderNumber_detail_link_cancel" class="rup-enlaceCancelar"><spring:message code="boton.cerrar" /></a>		
					</div>
				</div>
			</div>
			<div id="tblHuecosFolderNumber_filter_toolbar" style="visibility: hidden;"></div>
		</div>
	</section>
</div>