<%@include file="/WEB-INF/includeTemplate.inc"%>	
<%@page import="java.util.*" %> 
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ page import="com.ejie.ab61.comun.Constantes"%>

<script>
	var TIPOOBJETOFORMULARIO = '<%=Constantes.TiposObjetoPlantilla.FORMULARIO%>';
	var TIPOOBJETOLISTA = '<%=Constantes.TiposObjetoPlantilla.LISTA%>';
	var TIPOOBJETOWEBSERVICE = '<%=Constantes.TiposObjetoPlantilla.WEB_SERVICE%>';
</script>

<section>
	<div id="space"></div>
	<div class="container">
		<ul class="nav nav-tabs">
			<li role="presentation" class=""><a href="#" onclick="accederMenu('mantenimientoPlantillas')" ><spring:message code="plantillas.gestionPlantillas" /></a></li>
			<li role="presentation" class="active" id="pestaniaObjetos"><a href="#"><spring:message code="plantillas.gestionObjetos"/></a></li>
			<li role="presentation" class="" id="pestaniaDocumentos"><a href="#" onclick="accederMenu('documentos')" ><spring:message code="plantillas.gestionDocumentos"/></a></li>
			<%-- <li role="presentation" class="" id="pestaniaTiposPlantilla"><a href="#" onclick="accederMenu('tiposplantilla')" ><spring:message code="plantillas.gestionTiposPlantillas"/></a></li> --%>
		</ul>
	</div>
</section>	
	<div id="space"></div>
<section>
 
	<div class="container">	
		<div class="panel panel-default">
		<div id="id_capa"></div>
			<div class="panel-body">
				<div id="tblcamposPlantilla_div" class="rup-table-container">
					<div id="tblcamposPlantilla_feedback" class="hidden"></div>
					<div id="tblcamposPlantilla_filter_div" class="rup-table-container">
						<form:form commandName="camposPlantilla" id="tblcamposPlantilla_filter_form"  method="POST">
							<div class="row">
								<div class="col-xs-6 form-group">
									<label><spring:message code="plantillas.tipoObjeto"/></label>
									<form:select path="idTipoCampo" id="idTipoCampo" class="form-control"></form:select>
								</div>
								<div class="col-xs-6 form-group">
									<label><spring:message code="plantillas.nombreCampo"/></label>
									<form:input path="nombreCampo" id="nombreCampo" class="form-control"></form:input>
								</div>
							</div>
							<div class="row">
								<div class="col-xs-6 form-group">
									<label><spring:message code="plantillas.selectCampo"/></label>
									<form:input path="selectCampo" id="selectCampoFilter" class="form-control"></form:input>
								</div>
								<div class="col-xs-6 form-group">
									<button class="btn btn-default btn-circle" id="btnBuscarObjetos" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tooltip.buscar"/>'><i class="fa fa-search"></i></button>
									<button class="btn btn-default btn-circle" id="btnLimpiarObjetos" type="button" data-toggle="tooltip" data-placement="top" title='<spring:message code="tooltip.limpiar"/>'><i class="fa fa-eraser"></i></button>
								</div>
							</div>
						</form:form>
						<div id="tblcamposPlantilla_toolbar" class="mitoolbar clearfix"></div>
						
						<div id="tblcamposPlantilla_grid_div">
							<!-- Tabla -->
							<table id="tblcamposPlantilla" class="table"></table>
							<!-- Barra de paginación -->
							<div id="tblcamposPlantilla_pager"></div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
	
<div id="tblcamposPlantilla_detail_div" class="rup-table-formEdit-detail">
	<div id ="tblcamposPlantilla_detail_navigation"  class="hidden"></div>			<!-- Barra de navegación del detalle -->
	<div class="ui-dialog-content ui-widget-content" >
		<form id="tblcamposPlantilla_detail_form">	
			<div id ="tblcamposPlantilla_detail_feedback"></div>		<!-- Feedback del formulario de detalle -->			
				<input type="hidden" id="idCampo" name="idCampo"/>
  				<div class="row">
					<div class="col-xs-12 form-group">
						<label class="required"><spring:message code="plantillas.tipoObjeto"/></label>
						<select name="idTipoCampo" id="comboTipoCampo" class="form-control"></select>
					</div>
				</div>	
				<div class="row">
					<div class="col-xs-12 form-group">
						<label class="required"><spring:message code="plantillas.descripcion"/></label>
						<input name="descripcion" id="descripcion" class="form-control"></input>
					</div>
				</div>			
				<div class="row">
					<div class="col-xs-12 form-group">
						<label class="required"><spring:message code="plantillas.nombre"/></label>
						<input type="text" class="form-control" name="nombreCampo" id="nombreCampo"/>
					</div>
				</div>
				<div class="row">
					<div class="col-xs-12 form-group">
						<label class="required"><spring:message code="plantillas.nombreXml"/></label>
						<input name="nombreXml" id="nombreXml" class="form-control"></input>
					</div>
				</div>
				<div class="row">
					<div class="col-xs-12 form-group">
						<label class="required"><spring:message code="plantillas.select"/></label>
						<textarea name="selectCampo" id="selectCampo" class="form-control" rows="4"></textarea>
					</div>
				</div>
				<div class="row">
					<div class="col-xs-12 form-group">
						<label id="idDocumentoLabel"><spring:message code="plantillas.documento"/></label>
						<select name="idDocumento" id="comboIdDocumento" class="form-control"></select>
					</div>
				</div>				
				
		</form>
	</div>
	<!-- Botonera del formulario de detalle -->
	<div class="rup-table-buttonpane ui-widget-content ui-helper-clearfix">
		<div class="ui-dialog-buttonset">
			<button id="tblcamposPlantilla_detail_button_save" type="button" class="btn btn-primary hidden">
				<spring:message code="save" />
			</button>
			<button id="tblcamposPlantilla_save" type="button" class="btn btn-primary">
				<spring:message code="save" />
			</button>
			<!-- Enlace cancelar -->
			<a href="#" role="button" id="tblcamposPlantilla_detail_link_cancel" class="rup-enlaceCancelar"><spring:message code="boton.cerrar" /></a>		
		</div>
	</div>	
</div>	
	
	<div id="tblcamposPlantilla_filter_toolbar" style="visibility: hidden;"></div>	

</section>