<%@include file="/WEB-INF/includeTemplate.inc"%>	
<%@page import="java.util.*" %> 
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ page import="com.ejie.ab61.comun.Constantes"%>

<script>
	var ORIGENEXPEDIENTE = '<%=Constantes.Plantillas.ORIGEN_EXPEDIENTE%>';
	var ORIGENPROCEDIMIENTO = '<%=Constantes.Plantillas.ORIGEN_PROCEDIMIENTO%>';
	var ORIGENINSPECCION = '<%=Constantes.Plantillas.ORIGEN_INSPECCION %>';
	var ORIGENESTABLECIMIENTO = '<%=Constantes.Plantillas.ORIGEN_ESTABLECIMIENTO %>';
</script>

<section>
	<input type="hidden" id="roleAb61In0008" value="${roleAb61In0008}">
	<input type="hidden" id="roleTecnicoTurismo" value="${roleTecnicoTurismo}">
	<input type="hidden" id="roleTecnicoComercio" value="${roleTecnicoComercio}">
	<input type="hidden" id="roleTecnicoConsumo" value="${roleTecnicoConsumo}">
	<div id="space"></div>
	<div class="container">
		<ul class="nav nav-tabs">
			<li role="presentation" class="active"><a href="#" ><spring:message code="plantillas.gestionPlantillas" /></a></li>
			<c:if test="${roleAb61In0008 == false}">
				<li role="presentation" class="" id="pestaniaObjetos"><a href="#" onclick="accederMenu('camposplantilla')" ><spring:message code="plantillas.gestionObjetos"/></a></li>
			</c:if>
			<li role="presentation" class="" id="pestaniaDocumentos"><a href="#" onclick="accederMenu('documentos')" ><spring:message code="plantillas.gestionDocumentos"/></a></li>
			<%-- <c:if test="${roleAb61In0008 == false}">
				<li role="presentation" class="" id="pestaniaTiposPlantilla"><a href="#" onclick="accederMenu('tiposplantilla')" ><spring:message code="plantillas.gestionTiposPlantillas"/></a></li>
			</c:if> --%>
		</ul>
	</div>
</section>	

<div id="space"></div>

<section>
	<div class="container">	
		<div class="panel panel-default">
		<div id="id_capa"></div>
			<div class="panel-body">
				<div id="tblplantillas_div" class="rup-table-container">
					<div id="tblplantillas_feedback" class="hidden"></div>
					<div id="tblplantillas_filter_div" class="rup-table-container">
						<form:form commandName="plantillas" id="tblplantillas_filter_form"  method="POST">
  							<div class="row">
  								<div class="col-xs-6 form-group">
									<label><spring:message code="flistado.direcciones"/></label>
									<select name="idDireccion" id="direcciones" class="form-control"></select>
								</div>
							</div>
							<div class="row">
								<div id="comboProcedimientos" class="col-xs-12 form-group">
									<label><spring:message code="flistado.procedimientos"/></label>
									<form:select path="procedimientos.idProcedimiento" select id="idProcedimiento" class="form-control"></form:select>
								</div>
							</div>
						</form:form>
						<div id="tblplantillas_toolbar" class="mitoolbar clearfix"></div>
						
						<div id="tblplantillas_grid_div">
							<!-- Tabla -->
							<table id="tblplantillas" class="table"></table>
							<!-- Barra de paginación -->
							<div id="tblplantillas_pager"></div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>	
	
<!-- Formulario de detalle -->
<div id="tblplantillas_detail_div" class="rup-table-formEdit-detail">
	<div id ="tblplantillas_detail_navigation" class="hidden"></div>			<!-- Barra de navegación del detalle -->
	<div class="ui-dialog-content ui-widget-content" >
		<form id="tblplantillas_detail_form">					<!-- Formulario -->
			<div id ="tblplantillas_detail_feedback"></div>		<!-- Feedback del formulario de detalle -->
			
				<input type="hidden" id="idPlantilla" name="idPlantilla"/>
				<input type="hidden" id="idProcedimientoDetalle" name="procedimientos.idProcedimiento"/>
			
				<div class="row">
					<div class="col-xs-12 form-group">
						<label for="comboTipoPlantilla" class="required"><spring:message code="plantillas.tipoPlantilla"/>:</label>
						<select name="tiposPlantilla.idTipoPlantilla" id="comboTipoPlantilla" class="form-control"></select>
					</div>
				</div>
				<div class="row">
					<div class="col-xs-12 form-group">
						<label for="descripcionCastellano_detail_table" class="required"><spring:message code="plantillas.descripcionCastellano"/>:</label>
						<input type="text" name="descripcionCastellano" class="form-control" id="descripcionCastellano_detail_table"/>
					</div>
				</div>
				<div class="row">
					<div class="col-xs-12 form-group">
						<label for="descripcionEuskera_detail_table" class="required"><spring:message code="plantillas.descripcionEuskera"/>:</label>
						<input type="text" name="descripcionEuskera" class="form-control" id="descripcionEuskera_detail_table"/>
					</div>
				</div>
				<div class="row">
					<div class="col-xs-12 form-group">
						<label><spring:message code="plantillas.observaciones"/>:</label>
						<input type="text" name="observaciones" class="form-control" id="observaciones_detail_table"/>
					</div>
				</div>
				<div class="row">
					<div class="col-xs-12 form-group">
						<label for="comboDocumento" class="required"><spring:message code="plantillas.documento"/>:</label>
						<select name="documento.idDocumento" id="comboDocumento" class="form-control"></select>
					</div>
				</div>
				<div class="row">
					<div class="col-xs-12 form-group">
						<label><spring:message code="plantillas.origen"/>:</label>
						<select name="origen" id="comboOrigen" class="form-control"></select>
					</div>
				</div>
		</form>
	</div>
	<!-- Botonera del formulario de detalle -->
	<div class="rup-table-buttonpane ui-widget-content ui-helper-clearfix">
		<div class="ui-dialog-buttonset">
			<!-- Botón Guardar -->
			<button id="tblplantillas_detail_button_save" type="button">
				<spring:message code="save" />
			</button>
			<!-- Enlace cancelar -->
			<a href="javascript:void(0)" id="tblplantillas_detail_link_cancel"
				class="rup-enlaceCancelar"><spring:message code="cancel" /></a>
		</div>
	</div>
</div>

	<div id="tblplantillas_filter_toolbar" style="visibility: hidden;"></div>

</section>