<%@include file="/WEB-INF/includeTemplate.inc"%>	
<%@page import="java.util.*" %> 
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@page import="com.ejie.ab61.comun.Constantes"%>
<c:set var="OTRO_INTERESADO" value="<%=Constantes.PARTICIPANTE_OTRO_AFECTADO%>" />
<c:set var="TITULAR" value="<%=Constantes.PARTICIPANTE_TITULAR%>" />
<c:set var="REPRESENTANTE" value="<%=Constantes.PARTICIPANTE_REPRESENTANTE%>" />
<section>
	<div class="container">
		<div id="tabs" class="nav nav-tabs"></div>
	
		<input type="hidden" id="folderId" value="${expediente.folderId}"/>
		<input type="hidden" id="flagSearchFolder" value="${flagSearchFolder}"/>
		<input type="hidden" id="idProcedimiento" value="${expediente.idProcedimiento}"/>
		<input type="hidden" id="origen" value="${origen}"></input>
		<div id="contenedorTabs"> 
			<div id="feedbackMensajesSearchFolder"></div>
			<div id="divFichaExpediente">
				<c:forEach items="${listaSearch}" var="listaSearchFolder">	
					<c:choose>
						<c:when test="${lenguaje =='es'}">						
							<h1 class="expandH1_${listaSearchFolder.idTipoTercero}"><a><span>${listaSearchFolder.tipoTerceroDesCas}</span></a><i class="fa fa-edit iconoDerecha" aria-hidden="true"></i></h1>
						 </c:when>
						 <c:otherwise>
						     <h1 class="expandH1_${listaSearchFolder.idTipoTercero}"><a><span>${listaSearchFolder.tipoTerceroDesEus}</span></a><i class="fa fa-edit iconoDerecha" aria-hidden="true"></i></h1>
						 </c:otherwise>
					</c:choose>
					<div class="form-group accordion_height_auto">
						<div class="quitarPunto">
							<ul class="quitarPunto">
							<c:set var="unInteresado" value="1"/>
								<c:forEach items="${listaSearchFolder.datosTercerosList}" var="listaPersonas">
									<li>
										<c:if test="${listaPersonas.tipoParticipante == TITULAR}">
											<label><spring:message code="fexpediente.titular"/></label>
										</c:if>
										<c:if test="${listaPersonas.tipoParticipante == REPRESENTANTE}">
											<label><spring:message code="fexpediente.representante"/></label>
										</c:if>
										<c:if test="${listaPersonas.tipoParticipante == OTRO_INTERESADO && unInteresado == 1}">
											<c:set var="unInteresado" value="2"/>
											<label><spring:message code="fexpediente.otroInteresado"/></label>
										</c:if>	
										<div class="input-group">	
											<c:choose> 
	    										<c:when test="${!empty listaPersonas.documento}"> 	
													<input type="text" class="form-control" readonly="readonly" value="${listaPersonas.documento} - ${listaPersonas.nombre} ${listaPersonas.apellido1} ${listaPersonas.apellido2}"/> 
												</c:when>
												<c:otherwise> 
												 	<input type="text" class="form-control" readonly="readonly" value="${listaPersonas.nombre} ${listaPersonas.apellido1} ${listaPersonas.apellido2}"/> 
												</c:otherwise>
											</c:choose>						 							
										
											<input type="hidden" id="idSolicitanteTercero" value="${listaPersonas.idTercero}" />
											<span class="input-group-btn">
												<c:choose>
													<c:when test="${listaPersonas.tipoParticipante == TITULAR}">	
														<button class="btn btn-default btnVerDatosSolicitante botonCompartir input-btn-fontSize15" id="TITULAR-${listaSearchFolder.participantId}" type="button" data-backdrop="static" data-keyboard="false" value="${listaPersonas.idTercero}" name="titular-${listaPersonas.idTercero}"   title= '<spring:message code="boton.ver" />' ><i class="fa fa-edit" aria-hidden="true"></i></button>					
													 </c:when>
													 <c:when test="${listaPersonas.tipoParticipante == OTRO_INTERESADO}">						
														<button class="btn btn-default btnVerDatosSolicitante botonCompartir input-btn-fontSize15" id="OTRO-${listaSearchFolder.participantId}" type="button" data-backdrop="static" data-keyboard="false" value="${listaPersonas.idTercero}" name="titular-${listaPersonas.idTercero}"  title= '<spring:message code="boton.ver" />' ><i class="fa fa-edit" aria-hidden="true"></i></button>
													 </c:when>
													 <c:otherwise>
														<button class="btn btn-default btnVerDatosSolicitante botonCompartir input-btn-fontSize15" id="REPRESENTANTE-${listaSearchFolder.participantId}" type="button" data-backdrop="static" data-keyboard="false" value="${listaPersonas.idTercero}" name="representante-${listaPersonas.idTercero}"   title= '<spring:message code="boton.ver" />' ><i class="fa fa-edit" aria-hidden="true"></i></button>					
													 </c:otherwise>
												</c:choose>
											</span>
										</div>
									</li>	
								</c:forEach>
							</ul>	
						</div>
					</div>
				</c:forEach>	
			</div>
		</div>
	</div>				
</section>
<div id="dialogsTerceros" style="display: none"></div>

